{ BLASM Data Source [_mainsrc.pas] }
unit _mainsrc;

interface

uses
 _common;

procedure AddDataLine(s: string);
procedure GetInitialData(srcID: TDefValue);
procedure GetEndData(srcID: TDefValue);

implementation

uses
 _source;

procedure AddDataLine(s: string);
begin
   SetLength(SourceLines, NumSourceLines + 1);
   SourceLines[NumSourceLines]:= s;
   Inc(NumSourceLines);
end;

procedure GetInitialData(srcID: TDefValue);
begin
   AddDataLine('; BLASM');
   AddDataLine('; Initial Data Source');
   AddDataLine('; Updated: 2012-07-16');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('; (C) 2005-2012, Andreas Berg. All Rights Reserved.');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; System Equates');
   AddDataLine('~~? equ 0');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Processors');
   AddDataLine('.processor .086 0');
   AddDataLine('.processor .186 1');
   AddDataLine('.processor .286 2');
   AddDataLine('.processor .386 3');
   AddDataLine('.processor .486 4');
   AddDataLine('.processor .586 5');
   AddDataLine('.processor .586p 6');
   AddDataLine('.processor .686 6');
   AddDataLine('.086');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Segments');
   AddDataLine('segment "Code Segment" .code');
   AddDataLine('segment "Data Segment" .data');
   AddDataLine('segment "Bss Segment" .bss');
   AddDataLine('segment "Stack Segment" .sseg');
   AddDataLine('segment "F-Segment" .fseg');
   AddDataLine('segment "G-Segment" .gseg');
   AddDataLine('.code');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Alias Names');
   AddDataLine('; *** Segments ***');
   AddDataLine('alias codeseg .code');
   AddDataLine('alias dataseg .data');
   AddDataLine('alias bss .bss');
   AddDataLine('alias sseg .sseg');
   AddDataLine('alias fseg .fseg');
   AddDataLine('alias gseg .gseg');
   AddDataLine('');
   AddDataLine('; *** Processors ***');
   AddDataLine('alias p086 .086');
   AddDataLine('alias p186 .186');
   AddDataLine('alias p286 .286');
   AddDataLine('alias p386 .386');
   AddDataLine('alias p486 .486');
   AddDataLine('alias p586 .586');
   AddDataLine('alias p586p .586p');
   AddDataLine('alias p686 .686');
   AddDataLine('');
   AddDataLine('; *** Misc. ***');
   AddDataLine('alias .com com');
   AddDataLine('alias .exe exe');
   AddDataLine('alias .bin bin');
   AddDataLine('alias .boot boot');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Models');
   AddDataLine('.addmodel tiny (.code 16 0 0 16 on)(.data 16 0 0 0 off)(.bss 16 0 0 0 off)(.sseg 16 0 0 0 off)(.fseg 16 0 0 0 off)(.gseg 16 0 0 0 off)');
   AddDataLine('.addmodel small (.code 16 0 0 16 on)(.data 16 0 0 16 on)(.bss 16 0 0 0 off)(.sseg 16 0 0 0 off)(.fseg 16 0 0 0 off)(.gseg 16 0 0 0 off)');
   AddDataLine('.addmodel medium (.code 16 0 0 16 on)(.data 16 0 0 16 on)(.bss 16 0 0 16 off)(.sseg 16 0 0 0 off)(.fseg 16 0 0 0 off)(.gseg 16 0 0 0 off)');
   AddDataLine('.addmodel large (.code 16 0 0 16 on)(.data 16 0 0 16 on)(.bss 16 0 0 16 off)(.sseg 16 0 0 16 off)(.fseg 16 0 0 0 off)(.gseg 16 0 0 0 off)');
   AddDataLine('.addmodel huge (.code 16 0 0 16 on)(.data 16 0 0 16 on)(.bss 16 0 0 16 off)(.sseg 16 0 0 16 off)(.fseg 16 0 0 16 off)(.gseg 16 0 0 0 off)');
   AddDataLine('.addmodel flat (.code 16 0 0 16 on)(.data 16 0 0 16 on)(.bss 16 0 0 16 off)(.sseg 16 0 0 16 off)(.fseg 16 0 0 16 off)(.gseg 16 0 0 16 off)');
   AddDataLine('');
   AddDataLine('.addmodel tiny32 (.code 32 0 0 512 on)(.data 32 0 0 0 off)(.bss 32 0 0 0 off)(.sseg 32 0 0 0 off)(.fseg 32 0 0 0 off)(.gseg 32 0 0 0 off)');
   AddDataLine('.addmodel small32 (.code 32 0 0 512 on)(.data 32 0 0 512 on)(.bss 32 0 0 0 off)(.sseg 32 0 0 0 off)(.fseg 32 0 0 0 off)(.gseg 32 0 0 0 off)');
   AddDataLine('.addmodel medium32 (.code 32 0 0 512 on)(.data 32 0 0 512 on)(.bss 32 0 0 512 off)(.sseg 32 0 0 0 off)(.fseg 32 0 0 0 off)(.gseg 32 0 0 0 off)');
   AddDataLine('.addmodel large32 (.code 32 0 0 512 on)(.data 32 0 0 512 on)(.bss 32 0 0 512 off)(.sseg 32 0 0 512 off)(.fseg 32 0 0 0 off)(.gseg 32 0 0 0 off)');
   AddDataLine('.addmodel huge32 (.code 32 0 0 512 on)(.data 32 0 0 512 on)(.bss 32 0 0 512 off)(.sseg 32 0 0 512 off)(.fseg 32 0 0 512 off)(.gseg 32 0 0 0 off)');
   AddDataLine('.addmodel flat32 (.code 32 0 0 512 on)(.data 32 0 0 512 on)(.bss 32 0 0 512 off)(.sseg 32 0 0 512 off)(.fseg 32 0 0 512 off)(.gseg 32 0 0 512 off)');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Headers');
   AddDataLine('.header "---No header---" com_hdr');
   AddDataLine('.header "MZ (DOS EXE)" mz_dos');
   AddDataLine('');
   AddDataLine('; *** MZ, MS DOS Header ***');
   AddDataLine('.headeritem mz_dos text "MZ"');
   AddDataLine('.headeritem mz_dos write word lastblocksize');
   AddDataLine('.headeritem mz_dos write word blockcnt - 1');
   AddDataLine('.headeritem mz_dos write word reloccnt');
   AddDataLine('.headeritem mz_dos write word size / 16');
   AddDataLine('.headeritem mz_dos write word stack / 16');
   AddDataLine('.headeritem mz_dos word 65535');
   AddDataLine('.headeritem mz_dos getsegoffset word .sseg / 16');
   AddDataLine('.headeritem mz_dos write word stack');
   AddDataLine('.headeritem mz_dos word 0');
   AddDataLine('.headeritem mz_dos dword 0');
   AddDataLine('.headeritem mz_dos word 0x003e');
   AddDataLine('.headeritem mz_dos fill 0x003e');
   AddDataLine('.headeritem mz_dos reloctbl dword');
   AddDataLine('.headeritem mz_dos fill 512');
   AddDataLine('.headeritem mz_dos round 16');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Output Formats');
   AddDataLine('.output "Binary" bin "bin" com_hdr 512 0 0 0');
   AddDataLine('.output "Boot Sector Program" boot "bin" com_hdr 512 512 0 512');
   AddDataLine('.output "DOS COM File" com "com" com_hdr 512 0 0 0');
   AddDataLine('.output "DOS EXE File" exe "exe" mz_dos 512 0 0 0');
   AddDataLine('exe');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; System Macros');
   AddDataLine('');
   AddDataLine('; DUP');
   AddDataLine('Dup  macro  dx, val, cnt');
   AddDataLine('   .for i = 1 to cnt');
   AddDataLine('      dx val');
   AddDataLine('   .next');
   AddDataLine('Dup  endm');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; System Instruction Macros');
   AddDataLine('; *** Parameter Macros');
   AddDataLine('; NAME  AX/REG, @SEG');
   AddDataLine('@@@@@par_ax_seg  macro  nam, op');
   AddDataLine('instr nam           9    70   --0110001--&op&--0----000000010001');
   AddDataLine('instr nam           9    71   --0110001--&op&--0----000000020001');
   AddDataLine('instr nam           9    72   --0110001--&op&--0----000000030001');
   AddDataLine('instr nam           9    73   --0110001--&op&--0----000000040001');
   AddDataLine('instr nam           9    74   --0110001--&op&--0----000000050001');
   AddDataLine('instr nam           9    75   --0110001--&op&--0----000000060001');
   AddDataLine('instr nam           10   70   --3220100--&op&--0----000000001001');
   AddDataLine('instr nam           10   71   --3220100--&op&--0----000000002001');
   AddDataLine('instr nam           10   72   --3220100--&op&--0----000000003001');
   AddDataLine('instr nam           10   73   --3220100--&op&--0----000000004001');
   AddDataLine('instr nam           10   74   --3220100--&op&--0----000000005001');
   AddDataLine('instr nam           10   75   --3220100--&op&--0----000000006001');
   AddDataLine('@@@@@par_ax_seg  endm');
   AddDataLine('');
   AddDataLine('; NAME reg, @SEG');
   AddDataLine('@@@@@par_reg_seg  macro  nam, op, mdigit');
   AddDataLine('instr nam           2    70   --0110001--&op&--20&mdigit&--000000010001');
   AddDataLine('instr nam           2    71   --0110001--&op&--20&mdigit&--000000020001');
   AddDataLine('instr nam           2    72   --0110001--&op&--20&mdigit&--000000030001');
   AddDataLine('instr nam           2    73   --0110001--&op&--20&mdigit&--000000040001');
   AddDataLine('instr nam           2    74   --0110001--&op&--20&mdigit&--000000050001');
   AddDataLine('instr nam           2    75   --0110001--&op&--20&mdigit&--000000060001');
   AddDataLine('instr nam           3    70   --3220100--&op&--20&mdigit&--000000001001');
   AddDataLine('instr nam           3    71   --3220100--&op&--20&mdigit&--000000002001');
   AddDataLine('instr nam           3    72   --3220100--&op&--20&mdigit&--000000003001');
   AddDataLine('instr nam           3    73   --3220100--&op&--20&mdigit&--000000004001');
   AddDataLine('instr nam           3    74   --3220100--&op&--20&mdigit&--000000005001');
   AddDataLine('instr nam           3    75   --3220100--&op&--20&mdigit&--000000006001');
   AddDataLine('@@@@@par_reg_seg  endm');
   AddDataLine('');
   AddDataLine('; NAME  AL/AX/EAX, value');
   AddDataLine('@@@@@par_ax_val  macro  nam, op1, op2');
   AddDataLine('instr nam           8    65   --0000000--&op1&--0----000000100000');
   AddDataLine('instr nam           9    65   --0110001--&op2&--0----000000100000');
   AddDataLine('instr nam           10   65   --3220100--&op2&--0----000000100000');
   AddDataLine('; AL/AX/EAX, [value]');
   AddDataLine('instr nam           8    159  --0000000--&op1&--0----000000100000');
   AddDataLine('instr nam           9    159  --0110001--&op2&--0----000000100000');
   AddDataLine('instr nam           10   159  --3220100--&op2&--0----000000100000');
   AddDataLine('@@@@@par_ax_val  endm');
   AddDataLine('');
   AddDataLine('; NAME  reg, reg');
   AddDataLine('@@@@@par_reg_reg  macro  nam, op1, op2, op3, op4');
   AddDataLine('; reg, reg');
   AddDataLine('instr nam           1    1    --0000000--&op1&--1----000000000000');
   AddDataLine('instr nam           2    2    --0110001--&op2&--1----000000000000');
   AddDataLine('instr nam           3    3    --3220100--&op2&--1----000000000000');
   AddDataLine('; BYTE/WORD/DWORD PTR [SI], reg');
   AddDataLine('instr nam           16   1    --0000000--&op1&--504--000000000000');
   AddDataLine('instr nam           19   2    --0110001--&op2&--504--000000000000');
   AddDataLine('instr nam           22   3    --3220100--&op2&--504--000000000000');
   AddDataLine('; BYTE/WORD/DWORD PTR [DI], reg');
   AddDataLine('instr nam           17   1    --0000000--&op1&--505--000000000000');
   AddDataLine('instr nam           20   2    --0110001--&op2&--505--000000000000');
   AddDataLine('instr nam           23   3    --3220100--&op2&--505--000000000000');
   AddDataLine('; BYTE/WORD/DWORD PTR [BX], reg');
   AddDataLine('instr nam           18   1    --0000000--&op1&--507--000000000000');
   AddDataLine('instr nam           21   2    --0110001--&op2&--507--000000000000');
   AddDataLine('instr nam           24   3    --3220100--&op2&--507--000000000000');
   AddDataLine('; NAME  reg, BYTE/WORD/DWORD [SI]');
   AddDataLine('instr nam           1    16   --0000000--&op3&--404--000000000000');
   AddDataLine('instr nam           2    19   --0110001--&op4&--404--000000000000');
   AddDataLine('instr nam           3    22   --3220100--&op4&--404--000000000000');
   AddDataLine('; NAME  reg, BYTE/WORD/DWORD [DI]');
   AddDataLine('instr nam           1    17   --0000000--&op3&--405--000000000000');
   AddDataLine('instr nam           2    20   --0110001--&op4&--405--000000000000');
   AddDataLine('instr nam           3    23   --3220100--&op4&--405--000000000000');
   AddDataLine('; NAME  reg, BYTE/WORD/DWORD [BX]');
   AddDataLine('instr nam           1    18   --0000000--&op3&--407--000000000000');
   AddDataLine('instr nam           2    21   --0110001--&op4&--407--000000000000');
   AddDataLine('instr nam           3    24   --3220100--&op4&--407--000000000000');
   AddDataLine('@@@@@par_reg_reg  endm');
   AddDataLine('');
   AddDataLine('; NAME  reg, memory');
   AddDataLine('@@@@@par_reg_mem  macro  nam, op1, op2, op3, op4, mdigit');
   AddDataLine(';instr nam           1    61   --0000000--&op1&--1----000010000000');
   AddDataLine(';instr nam           2    61   --0110011--&op2&--1----000010000000');
   AddDataLine(';instr nam           3    61   --3221100--&op2&--1----000010000000');
   AddDataLine('instr nam           1    61   --0060000--&op3&--20&mdigit&--000010000000');
   AddDataLine('instr nam           2    61   --0110001--&op4&--20&mdigit&--000010000000');
   AddDataLine('instr nam           3    61   --3220100--&op4&--20&mdigit&--000010000000');
   AddDataLine('; reg, [memory]');
   AddDataLine('instr nam           1    158  --0000000--&op1&--1----000010000000');
   AddDataLine('instr nam           2    158  --0110011--&op2&--1----000010000000');
   AddDataLine('instr nam           3    158  --3221100--&op2&--1----000010000000');
   AddDataLine('@@@@@par_reg_mem  endm');
   AddDataLine('');
   AddDataLine('; NAME  memory, reg');
   AddDataLine('@@@@@par_mem_reg  macro  nam, op1, op2');
   AddDataLine('instr nam           61   1    --0000000--&op1&--1----000100000000');
   AddDataLine('instr nam           61   2    --0110011--&op2&--1----000100000000');
   AddDataLine('instr nam           61   3    --3221100--&op2&--1----000100000000');
   AddDataLine('; [memory], reg');
   AddDataLine('instr nam           158  1    --0000000--&op1&--1----000100000000');
   AddDataLine('instr nam           158  2    --0110011--&op2&--1----000100000000');
   AddDataLine('instr nam           158  3    --3221100--&op2&--1----000100000000');
   AddDataLine('@@@@@par_mem_reg  endm');
   AddDataLine('');
   AddDataLine('; NAME  reg, value');
   AddDataLine('@@@@@par_reg_val  macro  nam, op1, op2, mdigit');
   AddDataLine('instr nam           1    65   --0000000--&op1&--20&mdigit&--000000100000');
   AddDataLine('instr nam           2    65   --0110001--&op2&--20&mdigit&--000000100000');
   AddDataLine('instr nam           3    65   --3220100--&op2&--20&mdigit&--000000100000');
   AddDataLine('; reg, [value]');
   AddDataLine('instr nam           1    159  --0000000--&op1&--20&mdigit&--000000100000');
   AddDataLine('instr nam           2    159  --0110001--&op2&--20&mdigit&--000000100000');
   AddDataLine('instr nam           3    159  --3220100--&op2&--20&mdigit&--000000100000');
   AddDataLine('; BYTE/WORD/DWORD PTR [SI], value');
   AddDataLine('instr nam           16   65   --0000000--&op1&--30&mdigit&--000000100000');
   AddDataLine('instr nam           19   65   --0110001--&op2&--30&mdigit&--000000100000');
   AddDataLine('instr nam           22   65   --3220100--&op2&--30&mdigit&--000000100000');
   AddDataLine('; BYTE/WORD/DWORD PTR [DI], value');
   AddDataLine('instr nam           17   65   --0000000--&op1&--30&mdigit&--000000100000');
   AddDataLine('instr nam           20   65   --0110001--&op2&--30&mdigit&--000000100000');
   AddDataLine('instr nam           23   65   --3220100--&op2&--30&mdigit&--000000100000');
   AddDataLine('; BYTE/WORD/DWORD PTR [BX], value');
   AddDataLine('instr nam           18   65   --0000000--&op1&--30&mdigit&--000000100000');
   AddDataLine('instr nam           21   65   --0110001--&op2&--30&mdigit&--000000100000');
   AddDataLine('instr nam           24   65   --3220100--&op2&--30&mdigit&--000000100000');
   AddDataLine('@@@@@par_reg_val  endm');
   AddDataLine('');
   AddDataLine('; NAME  memory, value');
   AddDataLine('@@@@@par_mem_val  macro  nam, op1, op2, mdigit');
   AddDataLine('; BYTE/WORD/DWORD [memory], value');
   AddDataLine('instr nam           62   65   --0000000--&op1&--30&mdigit&--000100100000');
   AddDataLine('instr nam           63   65   --0110011--&op2&--30&mdigit&--000100100000');
   AddDataLine('instr nam           64   65   --3221100--&op2&--30&mdigit&--000100100000');
   AddDataLine('; [memory], BYTE/WORD/DWORD value');
   AddDataLine('instr nam           158  66   --0000000--&op1&--30&mdigit&--000100100000');
   AddDataLine('instr nam           158  67   --0110011--&op2&--30&mdigit&--000100100000');
   AddDataLine('instr nam           158  68   --3221100--&op2&--30&mdigit&--000100100000');
   AddDataLine('@@@@@par_mem_val  endm');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; *** Structure Macros ***');
   AddDataLine('@@@@@std_struct  macro nam, op1, op2, op3, op4, op5, op6, op7, op8, op9, mdigit');
   AddDataLine('@@@@@par_ax_seg     nam, op9');
   AddDataLine('@@@@@par_reg_seg    nam, op6, mdigit');
   AddDataLine('@@@@@par_ax_val     nam, op8, op9');
   AddDataLine('@@@@@par_reg_reg    nam, op1, op2, op3, op4');
   AddDataLine('@@@@@par_reg_mem    nam, op3, op4, op5, op6, mdigit');
   AddDataLine('@@@@@par_mem_reg    nam, op1, op2');
   AddDataLine('@@@@@par_reg_val    nam, op5, op6, mdigit');
   AddDataLine('@@@@@par_mem_val    nam, op5, op6, mdigit');
   AddDataLine('@@@@@std_struct  endm');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('');
   AddDataLine('; Instructions');
   AddDataLine('; A');
   AddDataLine('instr AAA           0    0    --0000000--37--0----000000000000');
   AddDataLine('instr AAS           0    0    --0000000--3F--0----000000000000');
   AddDataLine('instr AAD           0    0    --0000000--D50A0----000000000000');
   AddDataLine('instr AAD           65   0    --0000000--D5--0----000001000000');
   AddDataLine('instr AAM           0    0    --0000000--D40A0----000000000000');
   AddDataLine('instr AAM           65   0    --0000000--D4--0----000001000000');
   AddDataLine('');
   AddDataLine('@@@@@std_struct     ADC, 10, 11, 12, 13, 80, 81, 83, 14, 15, 2');
   AddDataLine('@@@@@std_struct     ADD, 00, 01, 02, 03, 80, 81, 83, 04, 05, 0');
   AddDataLine('@@@@@std_struct     AND, 20, 21, 22, 23, 80, 81, 83, 24, 25, 4');
   AddDataLine('');
   AddDataLine('instr ARPL          2    2    --2110011--63--1----000000000000');
   AddDataLine('instr ARPL          61   2    --2110011--63--1----000100000000');
   AddDataLine('instr ARPL          158  2    --2110011--63--1----000100000000');
   AddDataLine('instr ARPL          49   2    --21100112663--1----000100000000');
   AddDataLine('instr ARPL          50   2    --21100112E63--1----000100000000');
   AddDataLine('instr ARPL          51   2    --21100113663--1----000100000000');
   AddDataLine('instr ARPL          52   2    --21100113E63--1----000100000000');
   AddDataLine('instr ARPL          53   2    --21100116463--1----000100000000');
   AddDataLine('instr ARPL          54   2    --21100116563--1----000100000000');
   AddDataLine('');
   AddDataLine('; B');
   AddDataLine('instr BOUND         2    61   --1110011--62--1----000010000000');
   AddDataLine('instr BOUND         2    158  --1110011--62--1----000010000000');
   AddDataLine('instr BOUND         2    49   --11100112662--1----000010000000');
   AddDataLine('instr BOUND         2    50   --11100112E62--1----000010000000');
   AddDataLine('instr BOUND         2    51   --11100113662--1----000010000000');
   AddDataLine('instr BOUND         2    52   --11100113E62--1----000010000000');
   AddDataLine('instr BOUND         2    53   --11100116462--1----000010000000');
   AddDataLine('instr BOUND         2    54   --11100116562--1----000010000000');
   AddDataLine('instr BOUND         3    61   --3221100--62--1----000010000000');
   AddDataLine('instr BOUND         3    158  --3221100--62--1----000010000000');
   AddDataLine('instr BOUND         3    49   --32211002662--1----000010000000');
   AddDataLine('instr BOUND         3    50   --32211002E62--1----000010000000');
   AddDataLine('instr BOUND         3    51   --32211003662--1----000010000000');
   AddDataLine('instr BOUND         3    52   --32211003E62--1----000010000000');
   AddDataLine('instr BOUND         3    53   --32211006462--1----000010000000');
   AddDataLine('instr BOUND         3    54   --32211006562--1----000010000000');
   AddDataLine('');
   AddDataLine('instr BSF           2    2    --3110011--0FBC1----000000000000');
   AddDataLine('instr BSF           2    61   --3110011--0FBC1----000100000000');
   AddDataLine('instr BSF           2    158  --3110011--0FBC1----000100000000');
   AddDataLine('instr BSF           2    49   --3110011260FBC1----000100000000');
   AddDataLine('instr BSF           2    50   --31100112E0FBC1----000100000000');
   AddDataLine('instr BSF           2    51   --3110011360FBC1----000100000000');
   AddDataLine('instr BSF           2    52   --31100113E0FBC1----000100000000');
   AddDataLine('instr BSF           2    53   --3110011640FBC1----000100000000');
   AddDataLine('instr BSF           2    54   --3110011650FBC1----000100000000');
   AddDataLine('instr BSF           3    3    --3221100--0FBC1----000000000000');
   AddDataLine('instr BSF           3    61   --3221100--0FBC1----000100000000');
   AddDataLine('instr BSF           3    49   --3221100260FBC1----000100000000');
   AddDataLine('instr BSF           3    50   --32211002E0FBC1----000100000000');
   AddDataLine('instr BSF           3    51   --3221100360FBC1----000100000000');
   AddDataLine('instr BSF           3    52   --32211003E0FBC1----000100000000');
   AddDataLine('instr BSF           3    53   --3221100640FBC1----000100000000');
   AddDataLine('instr BSF           3    54   --3221100650FBC1----000100000000');
   AddDataLine('');
   AddDataLine('instr BSR           2    2    --3110011--0FBD1----000000000000');
   AddDataLine('instr BSR           2    61   --3110011--0FBD1----000100000000');
   AddDataLine('instr BSF           2    158  --3110011--0FBC1----000100000000');
   AddDataLine('instr BSR           2    49   --3110011260FBD1----000100000000');
   AddDataLine('instr BSR           2    50   --31100112E0FBD1----000100000000');
   AddDataLine('instr BSR           2    51   --3110011360FBD1----000100000000');
   AddDataLine('instr BSR           2    52   --31100113E0FBD1----000100000000');
   AddDataLine('instr BSR           2    53   --3110011640FBD1----000100000000');
   AddDataLine('instr BSR           2    54   --3110011650FBD1----000100000000');
   AddDataLine('instr BSR           3    3    --3221100--0FBD1----000000000000');
   AddDataLine('instr BSR           3    61   --3221100--0FBD1----000100000000');
   AddDataLine('instr BSR           3    49   --3221100260FBD1----000100000000');
   AddDataLine('instr BSR           3    50   --32211002E0FBD1----000100000000');
   AddDataLine('instr BSR           3    51   --3221100360FBD1----000100000000');
   AddDataLine('instr BSR           3    52   --32211003E0FBD1----000100000000');
   AddDataLine('instr BSR           3    53   --3221100640FBD1----000100000000');
   AddDataLine('instr BSR           3    54   --3221100650FBD1----000100000000');
   AddDataLine('');
   AddDataLine('instr BSWAP         3    0    --4200000--0FC80----000000000100');
   AddDataLine('');
   AddDataLine('; BT, BTC, BTR, BTS');
   AddDataLine('');
   AddDataLine('; C');
   AddDataLine('instr CALL          61   0    --0110001--E8--0----010000000000');
   AddDataLine('instr CALLF         61   0    --3220100--E8--0----010000000000');
   AddDataLine('instr CALL          300  0    --0110001--9A--0----000001100000');
   AddDataLine('instr CALLF         300  0    --3210100--9A--0----000001100000');
   AddDataLine('instr CALL          158  0    --0110001--FF--202--000100000000');
   AddDataLine('instr CALLF         158  0    --3220100--FF--202--000100000000');
   AddDataLine('');
   AddDataLine('instr CBW           0    0    --0000000--98--0----000000000000');
   AddDataLine('instr CDQ           0    0    --3000100--99--0----000000000000');
   AddDataLine('instr CLC           0    0    --0000000--F8--0----000000000000');
   AddDataLine('instr CLD           0    0    --0000000--FC--0----000000000000');
   AddDataLine('instr CLI           0    0    --0000000--FA--0----000000000000');
   AddDataLine('instr CLTS          0    0    --2000000--0F060----000000000000');
   AddDataLine('instr CMC           0    0    --0000000--F5--0----000000000000');
   AddDataLine('');
   AddDataLine('@@@@@std_struct     CMP, 38, 39, 3A, 3B, 80, 81, 83, 3C, 3D, 7');
   AddDataLine('');
   AddDataLine('instr CMPS          0    0    --0000000--A6--0----000000000000');
   AddDataLine('instr CMPSB         0    0    --0000000--A6--0----000000000000');
   AddDataLine('instr CMPSW         0    0    --0110001--A7--0----000000000000');
   AddDataLine('instr CMPSD         0    0    --3220100--A7--0----000000000000');
   AddDataLine('');
   AddDataLine('instr CMPXCHG       1    1    --4000000--0FB01----000000000000');
   AddDataLine('instr CMPXCHG       61   1    --4000000--0FB01----000100000000');
   AddDataLine('instr CMPXCHG       158  1    --4000000--0FB01----000100000000');
   AddDataLine('instr CMPXCHG       49   1    --4000000260FB01----000100000000');
   AddDataLine('instr CMPXCHG       50   1    --40000002E0FB01----000100000000');
   AddDataLine('instr CMPXCHG       51   1    --4000000360FB01----000100000000');
   AddDataLine('instr CMPXCHG       52   1    --40000003E0FB01----000100000000');
   AddDataLine('instr CMPXCHG       53   1    --4000000640FB01----000100000000');
   AddDataLine('instr CMPXCHG       54   1    --4000000650FB01----000100000000');
   AddDataLine('instr CMPXCHG       2    2    --4110001--0FB11----000000000000');
   AddDataLine('instr CMPXCHG       61   2    --4110011--0FB11----000100000000');
   AddDataLine('instr CMPXCHG       158  2    --4110011--0FB11----000100000000');
   AddDataLine('instr CMPXCHG       49   2    --4110011260FB11----000100000000');
   AddDataLine('instr CMPXCHG       50   2    --41100112E0FB11----000100000000');
   AddDataLine('instr CMPXCHG       51   2    --4110011360FB11----000100000000');
   AddDataLine('instr CMPXCHG       52   2    --41100113E0FB11----000100000000');
   AddDataLine('instr CMPXCHG       53   2    --4110011640FB11----000100000000');
   AddDataLine('instr CMPXCHG       54   2    --4110011650FB11----000100000000');
   AddDataLine('instr CMPXCHG       3    3    --4220100--0FB11----000000000000');
   AddDataLine('instr CMPXCHG       61   3    --4221100--0FB11----000100000000');
   AddDataLine('instr CMPXCHG       158  3    --4221100--0FB11----000100000000');
   AddDataLine('instr CMPXCHG       49   3    --4221100260FB11----000100000000');
   AddDataLine('instr CMPXCHG       50   3    --42211002E0FB11----000100000000');
   AddDataLine('instr CMPXCHG       51   3    --4221100360FB11----000100000000');
   AddDataLine('instr CMPXCHG       52   3    --42211003E0FB11----000100000000');
   AddDataLine('instr CMPXCHG       53   3    --4221100640FB11----000100000000');
   AddDataLine('instr CMPXCHG       54   3    --4221100650FB11----000100000000');
   AddDataLine('');
   AddDataLine('instr CMPXCHG8B     61   0    --5000000--0FC7301--000000000000');
   AddDataLine('instr CMPXCHG64     61   0    --5000000--0FC7301--000000000000');
   AddDataLine('instr CMPXCHG8B     158  0    --5000000--0FC7301--000000000000');
   AddDataLine('instr CMPXCHG64     158  0    --5000000--0FC7301--000000000000');
   AddDataLine('');
   AddDataLine('instr CPUID         0    0    --2000000--0FA20----000000000000');
   AddDataLine('instr CWD           0    0    --3000000--99--0----000000000000');
   AddDataLine('instr CWDE          0    0    --3000000--98--0----000000000000');
   AddDataLine('');
   AddDataLine('; D');
   AddDataLine('instr DAA           0    0    --0000000--27--0----000000000000');
   AddDataLine('instr DAS           0    0    --0000000--2F--0----000000000000');
   AddDataLine('instr DEC           2    0    --0110001--48--0----000000000100');
   AddDataLine('instr DEC           3    0    --3220100--48--0----000000000100');
   AddDataLine('instr DEC           1    0    --0000000--FE--201--000000000000');
   AddDataLine('instr DEC           62   0    --0000000--FE--301--000100000000');
   AddDataLine('instr DEC           63   0    --0110001--FF--301--000100000000');
   AddDataLine('instr DEC           64   0    --3220100--FF--301--000100000000');
   AddDataLine('instr DIV           1    0    --0000000--F6--206--000000000000');
   AddDataLine('instr DIV           2    0    --0110001--F7--206--000000000000');
   AddDataLine('instr DIV           3    0    --3220100--F7--206--000000000000');
   AddDataLine('instr DIV           62   0    --0000000--F6--306--000100000000');
   AddDataLine('instr DIV           63   0    --0110001--F7--306--000100000000');
   AddDataLine('instr DIV           64   0    --3220100--F7--306--000100000000');
   AddDataLine('');
   AddDataLine('; E');
   AddDataLine('instr ENTER         65   65   --1100000--C8--0----000001100000');
   AddDataLine('instr ENTER         67   66   --1100000--C8--0----000001100000');
   AddDataLine('instr ENTER         65   66   --1100000--C8--0----000001100000');
   AddDataLine('instr ENTER         67   65   --1100000--C8--0----000001100000');
   AddDataLine('');
   AddDataLine('; F');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; G');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; H');
   AddDataLine('instr HLT           0    0    --0000000--F4--0----000000000000');
   AddDataLine('');
   AddDataLine('; I');
   AddDataLine('instr IDIV          1    0    --0000000--F6--207--000000000000');
   AddDataLine('instr IDIV          2    0    --0110001--F7--207--000000000000');
   AddDataLine('instr IDIV          3    0    --3220100--F7--207--000000000000');
   AddDataLine('instr IDIV          62   0    --0000000--F6--307--000100000000');
   AddDataLine('instr IDIV          63   0    --0110001--F7--307--000100000000');
   AddDataLine('instr IDIV          64   0    --3220100--F7--307--000100000000');
   AddDataLine('instr IMUL          1    0    --0000000--F6--205--000000000000');
   AddDataLine('instr IMUL          2    0    --0110001--F7--205--000000000000');
   AddDataLine('instr IMUL          3    0    --3220100--F7--205--000000000000');
   AddDataLine('instr IMUL          62   0    --0000000--F6--305--000100000000');
   AddDataLine('instr IMUL          63   0    --0110001--F7--305--000100000000');
   AddDataLine('instr IMUL          64   0    --3220100--F7--305--000100000000');
   AddDataLine('instr IN            8    65   --0000000--E4--0----000000100000');
   AddDataLine('instr IN            9    65   --0110001--E5--0----000000100000');
   AddDataLine('instr IN            10   65   --3220100--E5--0----000000100000');
   AddDataLine('instr IN            8    12   --0000000--EC--0----000000000000');
   AddDataLine('instr IN            9    12   --0110001--ED--0----000000000000');
   AddDataLine('instr IN            10   12   --3220100--ED--0----000000000000');
   AddDataLine('instr INC           2    0    --0110001--40--0----000000000100');
   AddDataLine('instr INC           3    0    --3220100--40--0----000000000100');
   AddDataLine('instr INC           1    0    --0000000--FE--200--000000000000');
   AddDataLine('instr INC           62   0    --0000000--FE--300--000100000000');
   AddDataLine('instr INC           63   0    --0110001--FF--300--000100000000');
   AddDataLine('instr INC           64   0    --3220100--FF--306--000100000000');
   AddDataLine('');
   AddDataLine('instr INS           0    0    --0000000--6C--0----000000000000');
   AddDataLine('instr INSB          0    0    --0000000--6C--0----000000000000');
   AddDataLine('instr INSW          0    0    --0110001--6D--0----000000000000');
   AddDataLine('instr INSD          0    0    --3220100--6D--0----000000000000');
   AddDataLine('');
   AddDataLine('instr INT3          0    0    --0000000--CC--0----000000000000');
   AddDataLine('instr INT           65   0    --0000000--CD--0----000001000000');
   AddDataLine('instr INTO          0    0    --0000000--CE--0----000000000000');
   AddDataLine('instr INVD          0    0    --4000000--0F080----000000000000');
   AddDataLine('instr INVLPG        61   0    --4110001--0F01307--000100000000');
   AddDataLine('instr INVLPG        158  0    --4110001--0F01307--000100000000');
   AddDataLine('instr IRET          0    0    --0000000--CF--0----000000000000');
   AddDataLine('instr IRETB         0    0    --0000000--CF--0----000000000000');
   AddDataLine('instr IRETW         0    0    --0110001--CF--0----000000000000');
   AddDataLine('instr IRETD         0    0    --3220100--CF--0----000000000000');
   AddDataLine('');
   AddDataLine('; J');
   AddDataLine('instr JA            61   0    --0000000--77--0----010000000000');
   AddDataLine('instr JAE           61   0    --0000000--73--0----010000000000');
   AddDataLine('instr JB            61   0    --0000000--72--0----010000000000');
   AddDataLine('instr JBE           61   0    --0000000--76--0----010000000000');
   AddDataLine('instr JC            61   0    --0000000--72--0----010000000000');
   AddDataLine('instr JCXZ          61   0    --0000000--E3--0----010000000000');
   AddDataLine('instr JECXZ         61   0    --0000000--E3--0----010000000000');
   AddDataLine('instr JE            61   0    --0000000--74--0----010000000000');
   AddDataLine('instr JZ            61   0    --0000000--74--0----010000000000');
   AddDataLine('instr JG            61   0    --0000000--7F--0----010000000000');
   AddDataLine('instr JGE           61   0    --0000000--7D--0----010000000000');
   AddDataLine('instr JL            61   0    --0000000--7C--0----010000000000');
   AddDataLine('instr JLE           61   0    --0000000--7E--0----010000000000');
   AddDataLine('instr JNA           61   0    --0000000--76--0----010000000000');
   AddDataLine('instr JNAE          61   0    --0000000--72--0----010000000000');
   AddDataLine('instr JNB           61   0    --0000000--73--0----010000000000');
   AddDataLine('instr JNBE          61   0    --0000000--77--0----010000000000');
   AddDataLine('instr JNC           61   0    --0000000--73--0----010000000000');
   AddDataLine('instr JNE           61   0    --0000000--75--0----010000000000');
   AddDataLine('instr JNG           61   0    --0000000--7E--0----010000000000');
   AddDataLine('instr JNGE          61   0    --0000000--7C--0----010000000000');
   AddDataLine('instr JNL           61   0    --0000000--7D--0----010000000000');
   AddDataLine('instr JNLE          61   0    --0000000--7F--0----010000000000');
   AddDataLine('instr JNO           61   0    --0000000--71--0----010000000000');
   AddDataLine('instr JNP           61   0    --0000000--7B--0----010000000000');
   AddDataLine('instr JNS           61   0    --0000000--79--0----010000000000');
   AddDataLine('instr JNZ           61   0    --0000000--75--0----010000000000');
   AddDataLine('instr JO            61   0    --0000000--70--0----010000000000');
   AddDataLine('instr JP            61   0    --0000000--7A--0----010000000000');
   AddDataLine('instr JPE           61   0    --0000000--7A--0----010000000000');
   AddDataLine('instr JPO           61   0    --0000000--7B--0----010000000000');
   AddDataLine('instr JS            61   0    --0000000--78--0----010000000000');
   AddDataLine('');
   AddDataLine('instr JMPS          61   0    --0000000--EB--0----010000000000');
   AddDataLine('instr JMP           61   0    --0110001--E9--0----010000000000');
   AddDataLine('instr JMPF          61   0    --3220100--E9--0----010000000000');
   AddDataLine('instr JMP           300  0    --0110001--EA--0----000001100000');
   AddDataLine('instr JMPF          300  0    --3210100--EA--0----000001100000');
   AddDataLine('instr JMP           158  0    --0110001--FF--204--000100000000');
   AddDataLine('instr JMPF          158  0    --3220100--FF--204--000100000000');
   AddDataLine('');
   AddDataLine('; K');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; L');
   AddDataLine('instr LAHF          0    0    --0000000--9F--0----000000000000');
   AddDataLine('');
   AddDataLine('instr LAR           2    2    --2110001--0F021----000000000000');
   AddDataLine('instr LAR           61   2    --2110001--0F021----000100000000');
   AddDataLine('instr LAR           158  2    --2110001--0F021----000100000000');
   AddDataLine('instr LAR           3    3    --2220100--0F021----000000000000');
   AddDataLine('instr LAR           61   3    --2220100--0F021----000100000000');
   AddDataLine('instr LAR           158  3    --2220100--0F021----000100000000');
   AddDataLine('');
   AddDataLine('instr LEA           2    70   --0110011--B8--0----000000010101');
   AddDataLine('instr LEA           2    71   --0110011--B8--0----000000020101');
   AddDataLine('instr LEA           2    72   --0110011--B8--0----000000030101');
   AddDataLine('instr LEA           2    73   --0110011--B8--0----000000040101');
   AddDataLine('instr LEA           2    74   --0110011--B8--0----000000050101');
   AddDataLine('instr LEA           2    75   --0110011--B8--0----000000060101');
   AddDataLine('instr LEA           3    70   --3221100--B8--0----000000001101');
   AddDataLine('instr LEA           3    71   --3221100--B8--0----000000002101');
   AddDataLine('instr LEA           3    72   --3221100--B8--0----000000003101');
   AddDataLine('instr LEA           3    73   --3221100--B8--0----000000004101');
   AddDataLine('instr LEA           3    74   --3221100--B8--0----000000005101');
   AddDataLine('instr LEA           3    75   --3221100--B8--0----000000006101');
   AddDataLine('instr LEA           1    61   --0000000--B0--0----000010000100');
   AddDataLine('instr LEA           2    61   --0110011--B8--0----000010000100');
   AddDataLine('instr LEA           3    61   --3221100--B8--0----000010000100                                                 ');
   AddDataLine('instr LEA           31   61   --000000026B0--0----000010000100');
   AddDataLine('instr LEA           32   61   --011001126B8--0----000010000100');
   AddDataLine('instr LEA           33   61   --322110026B8--0----000010000100');
   AddDataLine('instr LEA           34   61   --00000002EB0--0----000010000100');
   AddDataLine('instr LEA           35   61   --01100112EB8--0----000010000100');
   AddDataLine('instr LEA           36   61   --32211002EB8--0----000010000100');
   AddDataLine('instr LEA           37   61   --000000036B0--0----000010000100');
   AddDataLine('instr LEA           38   61   --011001136B8--0----000010000100');
   AddDataLine('instr LEA           39   61   --322110036B8--0----000010000100');
   AddDataLine('instr LEA           40   61   --00000003EB0--0----000010000100');
   AddDataLine('instr LEA           41   61   --01100113EB8--0----000010000100');
   AddDataLine('instr LEA           42   61   --32211003EB8--0----000010000100');
   AddDataLine('instr LEA           43   61   --300000064B0--0----000010000100');
   AddDataLine('instr LEA           44   61   --311001164B8--0----000010000100');
   AddDataLine('instr LEA           45   61   --322110064B8--0----000010000100');
   AddDataLine('instr LEA           46   61   --300000065B0--0----000010000100');
   AddDataLine('instr LEA           47   61   --311001165B8--0----000010000100');
   AddDataLine('instr LEA           48   61   --322110065B8--0----000010000100');
   AddDataLine('instr LEA           1    49   --000000026B0--0----000010000100');
   AddDataLine('instr LEA           2    49   --011001126B8--0----000010000100');
   AddDataLine('instr LEA           3    49   --322110026B8--0----000010000100');
   AddDataLine('instr LEA           1    50   --00000002EB0--0----000010000100');
   AddDataLine('instr LEA           2    50   --01100112EB8--0----000010000100');
   AddDataLine('instr LEA           3    50   --32211002EB8--0----000010000100');
   AddDataLine('instr LEA           1    51   --000000036B0--0----000010000100');
   AddDataLine('instr LEA           2    51   --011001136B8--0----000010000100');
   AddDataLine('instr LEA           3    51   --322110036B8--0----000010000100');
   AddDataLine('instr LEA           1    52   --00000003EB0--0----000010000100');
   AddDataLine('instr LEA           2    52   --01100113EB8--0----000010000100');
   AddDataLine('instr LEA           3    52   --32211003EB8--0----000010000100');
   AddDataLine('instr LEA           1    53   --300000064B0--0----000010000100');
   AddDataLine('instr LEA           2    53   --311001164B8--0----000010000100');
   AddDataLine('instr LEA           3    53   --322110064B8--0----000010000100');
   AddDataLine('instr LEA           1    54   --300000065B0--0----000010000100');
   AddDataLine('instr LEA           2    54   --311001165B8--0----000010000100');
   AddDataLine('instr LEA           3    54   --322110065B8--0----000010000100');
   AddDataLine('');
   AddDataLine('instr LEAVE         0    0    --1000000--C9--0----000000000000');
   AddDataLine('');
   AddDataLine('instr LGDT          63   0    --2100011--0F01302--000100000000');
   AddDataLine('instr LGDT          64   0    --3201100--0F01302--000100000000');
   AddDataLine('');
   AddDataLine('instr LIDT          63   0    --2100011--0F01303--000100000000');
   AddDataLine('instr LIDT          64   0    --3201100--0F01303--000100000000');
   AddDataLine('');
   AddDataLine('instr LOCK          0    0    --0000000--F0--0----000000000000');
   AddDataLine('');
   AddDataLine('instr LODS          0    0    --0000000--AC--0----000000000000');
   AddDataLine('instr LODSB         0    0    --0000000--AC--0----000000000000');
   AddDataLine('instr LODSW         0    0    --0000001--AD--0----000000000000');
   AddDataLine('instr LODSD         0    0    --3000100--AD--0----000000000000');
   AddDataLine('');
   AddDataLine('instr LOOP          61   0    --0000000--E2--0----010000000000');
   AddDataLine('instr LOOPE         61   0    --0000000--E1--0----010000000000');
   AddDataLine('instr LOOPZ         61   0    --0000000--E1--0----010000000000');
   AddDataLine('instr LOOPNE        61   0    --0000000--E0--0----010000000000');
   AddDataLine('instr LOOPNZ        61   0    --0000000--E0--0----010000000000');
   AddDataLine('');
   AddDataLine('; M');
   AddDataLine('instr MOV           2    70   --0110001--B8--0----000000010101');
   AddDataLine('instr MOV           2    71   --0110001--B8--0----000000020101');
   AddDataLine('instr MOV           2    72   --0110001--B8--0----000000030101');
   AddDataLine('instr MOV           2    73   --0110001--B8--0----000000040101');
   AddDataLine('instr MOV           2    74   --0110001--B8--0----000000050101');
   AddDataLine('instr MOV           2    75   --0110001--B8--0----000000060101');
   AddDataLine('instr MOV           3    70   --3220100--B8--0----000000001101');
   AddDataLine('instr MOV           3    71   --3220100--B8--0----000000002101');
   AddDataLine('instr MOV           3    72   --3220100--B8--0----000000003101');
   AddDataLine('instr MOV           3    73   --3220100--B8--0----000000004101');
   AddDataLine('instr MOV           3    74   --3220100--B8--0----000000005101');
   AddDataLine('instr MOV           3    75   --3220100--B8--0----000000006101');
   AddDataLine('                                              ');
   AddDataLine('instr MOV           1    65   --0000000--B0--0----000000100100');
   AddDataLine('instr MOV           2    65   --0110001--B8--0----000000100100');
   AddDataLine('instr MOV           3    65   --3220100--B8--0----000000100100');
   AddDataLine('instr MOV           1    159  --0000000--B0--0----000000100100');
   AddDataLine('instr MOV           2    159  --0110001--B8--0----000000100100');
   AddDataLine('instr MOV           3    159  --3220100--B8--0----000000100100');
   AddDataLine('');
   AddDataLine('instr MOV           1    1    --0000000--88--1----000000000000');
   AddDataLine('instr MOV           2    2    --0110001--89--1----000000000000');
   AddDataLine('instr MOV           3    3    --3220100--89--1----000000000000');
   AddDataLine('instr MOV           61   1    --0000000--88--1----000100000000');
   AddDataLine('instr MOV           61   2    --0110001--89--1----000100000000');
   AddDataLine('instr MOV           61   3    --3220100--89--1----000100000000');
   AddDataLine('');
   AddDataLine('instr MOV           1    61   --0060000--B0--0----000010000100');
   AddDataLine('instr MOV           2    61   --0110000--B8--0----000010000100');
   AddDataLine('instr MOV           3    61   --0220000--B8--0----000010000100');
   AddDataLine(';instr MOV           1    61   --0000000--8A--1----000010000000');
   AddDataLine(';instr MOV           2    61   --0110001--8B--1----000010000000');
   AddDataLine(';instr MOV           3    61   --3220100--8B--1----000010000000');
   AddDataLine('');
   AddDataLine('instr MOV           158  1    --0000000--88--1----000100000000');
   AddDataLine('instr MOV           158  2    --0110011--89--1----000100000000');
   AddDataLine('instr MOV           158  3    --3221100--89--1----000100000000');
   AddDataLine('instr MOV           1    158  --0000000--8A--1----000010000000');
   AddDataLine('instr MOV           2    158  --0110011--8B--1----000010000000');
   AddDataLine('instr MOV           3    158  --3221100--8B--1----000010000000');
   AddDataLine('');
   AddDataLine('instr MOV           62   65   --0000000--C6--300--000100100000');
   AddDataLine('instr MOV           63   65   --0110011--C7--300--000100100000');
   AddDataLine('instr MOV           64   65   --3221100--C7--300--000100100000');
   AddDataLine('instr MOV           61   66   --0000000--C6--300--000100100000');
   AddDataLine('instr MOV           61   67   --0110011--C7--300--000100100000');
   AddDataLine('instr MOV           61   68   --3221100--C7--300--000100100000');
   AddDataLine('instr MOV           62   159  --0000000--C6--300--000100100000');
   AddDataLine('instr MOV           63   159  --0110011--C7--300--000100100000');
   AddDataLine('instr MOV           64   159  --3221100--C7--300--000100100000');
   AddDataLine('instr MOV           158  66   --0000000--C6--300--000100100000');
   AddDataLine('instr MOV           158  67   --0110011--C7--300--000100100000');
   AddDataLine('instr MOV           158  68   --3221100--C7--300--000100100000');
   AddDataLine('                                                  ');
   AddDataLine('instr MOV           4    2    --0110001--8E--1----000000000000');
   AddDataLine('instr MOV           2    4    --0110001--8C--1----000000000000');
   AddDataLine('instr MOV           4    3    --3220100--8E--1----000000000000');
   AddDataLine('instr MOV           3    4    --3220100--8C--1----000000000000');
   AddDataLine('');
   AddDataLine('instr MOV           16   1    --0000000--88--504--000000000000');
   AddDataLine('instr MOV           17   1    --0000000--88--505--000000000000');
   AddDataLine('instr MOV           18   1    --0000000--88--507--000000000000');
   AddDataLine('instr MOV           16   65   --0000000--C6040----000000100000');
   AddDataLine('instr MOV           17   65   --0000000--C6050----000000100000');
   AddDataLine('instr MOV           18   65   --0000000--C6070----000000100000');
   AddDataLine('instr MOV           19   2    --0110001--89--504--000000000000');
   AddDataLine('instr MOV           20   2    --0110001--89--505--000000000000');
   AddDataLine('instr MOV           21   2    --0110001--89--507--000000000000');
   AddDataLine('instr MOV           19   65   --0110001--C7040----000000100000');
   AddDataLine('instr MOV           20   65   --0110001--C7050----000000100000');
   AddDataLine('instr MOV           21   65   --0110001--C7070----000000100000');
   AddDataLine('instr MOV           22   3    --3220100--89--504--000000000000');
   AddDataLine('instr MOV           23   3    --3220100--89--505--000000000000');
   AddDataLine('instr MOV           24   3    --3220100--89--507--000000000000');
   AddDataLine('instr MOV           22   65   --3220100--C7040----000000100000');
   AddDataLine('instr MOV           23   65   --3220100--C7050----000000100000');
   AddDataLine('instr MOV           24   65   --3220100--C7070----000000100000                                                ');
   AddDataLine('instr MOV           1    16   --0000000--8A--404--000000000000');
   AddDataLine('instr MOV           1    17   --0000000--8A--405--000000000000');
   AddDataLine('instr MOV           1    18   --0000000--8A--407--000000000000');
   AddDataLine('instr MOV           2    19   --0110001--8B--404--000000000000');
   AddDataLine('instr MOV           2    20   --0110001--8B--405--000000000000');
   AddDataLine('instr MOV           2    21   --0110001--8B--407--000000000000');
   AddDataLine('instr MOV           3    22   --3220100--8B--404--000000000000');
   AddDataLine('instr MOV           3    23   --3220100--8B--405--000000000000');
   AddDataLine('instr MOV           3    24   --3220100--8B--407--000000000000                                                 ');
   AddDataLine('instr MOV           1    13   --0000000--8A--404--000000000000');
   AddDataLine('instr MOV           1    14   --0000000--8A--405--000000000000');
   AddDataLine('instr MOV           1    15   --0000000--8A--407--000000000000');
   AddDataLine('instr MOV           1    56   --01100002E8A--406--000000100000');
   AddDataLine('instr MOV           2    56   --01100012E8B--406--000000100000');
   AddDataLine('instr MOV           3    56   --32201002E8B--406--000000100000');
   AddDataLine('instr MOV           56   1    --01100002E88--506--000001000000');
   AddDataLine('instr MOV           56   2    --01100012E89--506--000001000000');
   AddDataLine('instr MOV           56   3    --32201002E89--506--000001000000');
   AddDataLine('instr MOV           1    58   --01100003E8A--406--000000100000');
   AddDataLine('instr MOV           2    58   --01100013E8B--406--000000100000');
   AddDataLine('instr MOV           3    58   --32201003E8B--406--000000100000');
   AddDataLine('instr MOV           58   1    --01100003E88--506--000001000000');
   AddDataLine('instr MOV           58   2    --01100013E89--506--000001000000');
   AddDataLine('instr MOV           58   3    --32201003E89--506--000001000000');
   AddDataLine('instr MOV           1    55   --0110000268A--406--000000100000');
   AddDataLine('instr MOV           2    55   --0110001268B--406--000000100000');
   AddDataLine('instr MOV           3    55   --3220100268B--406--000000100000');
   AddDataLine('instr MOV           55   1    --01100002688--506--000001000000');
   AddDataLine('instr MOV           55   2    --01100012689--506--000001000000');
   AddDataLine('instr MOV           55   3    --32201002689--506--000001000000');
   AddDataLine('instr MOV           1    59   --3110000648A--406--000000100000');
   AddDataLine('instr MOV           2    59   --3110001648B--406--000000100000');
   AddDataLine('instr MOV           3    59   --3220100648B--406--000000100000');
   AddDataLine('instr MOV           59   1    --31100006488--506--000001000000');
   AddDataLine('instr MOV           59   2    --31100016489--506--000001000000');
   AddDataLine('instr MOV           59   3    --32201006489--506--000001000000');
   AddDataLine('instr MOV           1    60   --3110000658A--406--000000100000');
   AddDataLine('instr MOV           2    60   --3110001658B--406--000000100000');
   AddDataLine('instr MOV           3    60   --3220100658B--406--000000100000');
   AddDataLine('instr MOV           60   1    --31100006588--506--000001000000');
   AddDataLine('instr MOV           60   2    --31100016589--506--000001000000');
   AddDataLine('instr MOV           60   3    --32201006589--506--000001000000');
   AddDataLine('instr MOV           1    57   --0110000368A--406--000000100000');
   AddDataLine('instr MOV           2    57   --0110001368B--406--000000100000');
   AddDataLine('instr MOV           3    57   --3220100368B--406--000000100000');
   AddDataLine('instr MOV           57   1    --01100003688--506--000001000000');
   AddDataLine('instr MOV           57   2    --01100013689--506--000001000000');
   AddDataLine('instr MOV           57   3    --32201003689--506--000001000000');
   AddDataLine('instr MOV           1    50   --00000002E8A--1----000010000000');
   AddDataLine('instr MOV           2    50   --01100112E8B--1----000010000000');
   AddDataLine('instr MOV           3    50   --32211002E8B--1----000010000000');
   AddDataLine('instr MOV           50   1    --00000002E88--1----000100000000');
   AddDataLine('instr MOV           50   2    --01100112E89--1----000100000000');
   AddDataLine('instr MOV           50   3    --32211002E89--1----000100000000');
   AddDataLine('instr MOV           1    52   --00000003E8A--1----000010000000');
   AddDataLine('instr MOV           2    52   --01100113E8B--1----000010000000');
   AddDataLine('instr MOV           3    52   --32211003E8B--1----000010000000');
   AddDataLine('instr MOV           52   1    --00000003E88--1----000100000000');
   AddDataLine('instr MOV           52   2    --01100113E89--1----000100000000');
   AddDataLine('instr MOV           52   3    --32211003E89--1----000100000000');
   AddDataLine('instr MOV           1    49   --0000000268A--1----000010000000');
   AddDataLine('instr MOV           2    49   --0110011268B--1----000010000000');
   AddDataLine('instr MOV           3    49   --3221100268B--1----000010000000');
   AddDataLine('instr MOV           49   1    --00000002688--1----000100000000');
   AddDataLine('instr MOV           49   2    --01100112689--1----000100000000');
   AddDataLine('instr MOV           49   3    --32211002689--1----000100000000');
   AddDataLine('instr MOV           1    53   --3000000648A--1----000010000000');
   AddDataLine('instr MOV           2    53   --3110011648B--1----000010000000');
   AddDataLine('instr MOV           3    53   --3221100648B--1----000010000000');
   AddDataLine('instr MOV           53   1    --30000006488--1----000100000000');
   AddDataLine('instr MOV           53   2    --31100116489--1----000100000000');
   AddDataLine('instr MOV           53   3    --32211006489--1----000100000000');
   AddDataLine('instr MOV           1    54   --3000000658A--1----000010000000');
   AddDataLine('instr MOV           2    54   --3110011658B--1----000010000000');
   AddDataLine('instr MOV           3    54   --3221100658B--1----000010000000');
   AddDataLine('instr MOV           54   1    --30000006588--1----000100000000');
   AddDataLine('instr MOV           54   2    --31100116589--1----000100000000');
   AddDataLine('instr MOV           54   3    --32211006589--1----000100000000');
   AddDataLine('instr MOV           1    51   --0000000368A--1----000010000000');
   AddDataLine('instr MOV           2    51   --0110011368B--1----000010000000');
   AddDataLine('instr MOV           3    51   --3221100368B--1----000010000000');
   AddDataLine('instr MOV           51   1    --00000003688--1----000100000000');
   AddDataLine('instr MOV           51   2    --01100113689--1----000100000000');
   AddDataLine('instr MOV           51   3    --32211003689--1----000100000000');
   AddDataLine('');
   AddDataLine('instr MOV           55   66   --000000026C6060----000001100000');
   AddDataLine('instr MOV           55   67   --011001126C7060----000001100000');
   AddDataLine('instr MOV           55   68   --322110026C7060----000001100000');
   AddDataLine('instr MOV           56   66   --00000002EC6060----000001100000');
   AddDataLine('instr MOV           56   67   --01100012EC7060----000001100000');
   AddDataLine('instr MOV           56   68   --32211002EC7060----000001100000');
   AddDataLine('instr MOV           57   66   --000000036C6060----000001100000');
   AddDataLine('instr MOV           57   67   --011001136C7060----000001100000');
   AddDataLine('instr MOV           57   68   --322110036C7060----000001100000');
   AddDataLine('instr MOV           58   66   --00000003EC6060----000001100000');
   AddDataLine('instr MOV           58   67   --01100113EC7060----000001100000');
   AddDataLine('instr MOV           58   68   --32211003EC7060----000001100000');
   AddDataLine('instr MOV           59   66   --300000064C6060----000001100000');
   AddDataLine('instr MOV           59   67   --311001164C7060----000001100000');
   AddDataLine('instr MOV           59   68   --322110064C7060----000001100000');
   AddDataLine('instr MOV           60   66   --300000065C6060----000001100000');
   AddDataLine('instr MOV           60   67   --311001165C7060----000001100000');
   AddDataLine('instr MOV           60   68   --322110065C7060----000001100000');
   AddDataLine('instr MOV           49   66   --000000026C6060----000100100000');
   AddDataLine('instr MOV           49   67   --011001126C7060----000100100000');
   AddDataLine('instr MOV           49   68   --322110026C7060----000100100000');
   AddDataLine('instr MOV           50   66   --00000002EC6060----000100100000');
   AddDataLine('instr MOV           50   67   --01100112EC7060----000100100000');
   AddDataLine('instr MOV           50   68   --32211002EC7060----000100100000');
   AddDataLine('instr MOV           51   66   --000000036C6060----000100100000');
   AddDataLine('instr MOV           51   67   --011001136C7060----000100100000');
   AddDataLine('instr MOV           51   68   --322110036C7060----000100100000');
   AddDataLine('instr MOV           52   66   --00000003EC6060----000100100000');
   AddDataLine('instr MOV           52   67   --01100113EC7060----000100100000');
   AddDataLine('instr MOV           52   68   --32211003EC7060----000100100000');
   AddDataLine('instr MOV           53   66   --300000064C6060----000100100000');
   AddDataLine('instr MOV           53   67   --311001164C7060----000100100000');
   AddDataLine('instr MOV           53   68   --322110064C7060----000100100000');
   AddDataLine('instr MOV           54   66   --300000065C6060----000100100000');
   AddDataLine('instr MOV           54   67   --311001165C7060----000100100000');
   AddDataLine('instr MOV           54   68   --322110065C7060----000100100000');
   AddDataLine('');
   AddDataLine('instr MOV           31   1    --00000002688--504--000000000000');
   AddDataLine('instr MOV           32   1    --00000002688--505--000000000000');
   AddDataLine('instr MOV           33   1    --00000002688--507--000000000000');
   AddDataLine('instr MOV           34   1    --00000002E88--504--000000000000');
   AddDataLine('instr MOV           35   1    --00000002E88--505--000000000000');
   AddDataLine('instr MOV           36   1    --00000002E88--507--000000000000');
   AddDataLine('instr MOV           37   1    --00000003688--504--000000000000');
   AddDataLine('instr MOV           38   1    --00000003688--505--000000000000');
   AddDataLine('instr MOV           39   1    --00000003688--507--000000000000');
   AddDataLine('instr MOV           40   1    --00000003E88--504--000000000000');
   AddDataLine('instr MOV           41   1    --00000003E88--505--000000000000');
   AddDataLine('instr MOV           42   1    --00000003E88--507--000000000000');
   AddDataLine('instr MOV           43   1    --30000006488--504--000000000000');
   AddDataLine('instr MOV           44   1    --30000006488--505--000000000000');
   AddDataLine('instr MOV           45   1    --30000006488--507--000000000000');
   AddDataLine('instr MOV           46   1    --30000006588--504--000000000000');
   AddDataLine('instr MOV           47   1    --30000006588--505--000000000000');
   AddDataLine('instr MOV           48   1    --30000006588--507--000000000000');
   AddDataLine('instr MOV           31   2    --01100012689--504--000000000000');
   AddDataLine('instr MOV           32   2    --01100012689--505--000000000000');
   AddDataLine('instr MOV           33   2    --01100012689--507--000000000000');
   AddDataLine('instr MOV           34   2    --01100012E89--504--000000000000');
   AddDataLine('instr MOV           35   2    --01100012E89--505--000000000000');
   AddDataLine('instr MOV           36   2    --01100012E89--507--000000000000');
   AddDataLine('instr MOV           37   2    --01100013689--504--000000000000');
   AddDataLine('instr MOV           38   2    --01100013689--505--000000000000');
   AddDataLine('instr MOV           39   2    --01100013689--507--000000000000');
   AddDataLine('instr MOV           40   2    --01100013E89--504--000000000000');
   AddDataLine('instr MOV           41   2    --01100013E89--505--000000000000');
   AddDataLine('instr MOV           42   2    --01100013E89--507--000000000000');
   AddDataLine('instr MOV           43   2    --31100016489--504--000000000000');
   AddDataLine('instr MOV           44   2    --31100016489--505--000000000000');
   AddDataLine('instr MOV           45   2    --31100016489--507--000000000000');
   AddDataLine('instr MOV           46   2    --31100016589--504--000000000000');
   AddDataLine('instr MOV           47   2    --31100016589--505--000000000000');
   AddDataLine('instr MOV           48   2    --31100016589--507--000000000000');
   AddDataLine('instr MOV           31   3    --32201002689--504--000000000000');
   AddDataLine('instr MOV           32   3    --32201002689--505--000000000000');
   AddDataLine('instr MOV           33   3    --32201002689--507--000000000000');
   AddDataLine('instr MOV           34   3    --32201002E89--504--000000000000');
   AddDataLine('instr MOV           35   3    --32201002E89--505--000000000000');
   AddDataLine('instr MOV           36   3    --32201002E89--507--000000000000');
   AddDataLine('instr MOV           37   3    --32201003689--504--000000000000');
   AddDataLine('instr MOV           38   3    --32201003689--505--000000000000');
   AddDataLine('instr MOV           39   3    --32201003689--507--000000000000');
   AddDataLine('instr MOV           40   3    --32201003E89--504--000000000000');
   AddDataLine('instr MOV           41   3    --32201003E89--505--000000000000');
   AddDataLine('instr MOV           42   3    --32201003E89--507--000000000000');
   AddDataLine('instr MOV           43   3    --32201006489--504--000000000000');
   AddDataLine('instr MOV           44   3    --32201006489--505--000000000000');
   AddDataLine('instr MOV           45   3    --32201006489--507--000000000000');
   AddDataLine('instr MOV           46   3    --32201006589--504--000000000000');
   AddDataLine('instr MOV           47   3    --32201006589--505--000000000000');
   AddDataLine('instr MOV           48   3    --32201006589--507--000000000000');
   AddDataLine('');
   AddDataLine('instr MOV           1    31   --0000000268A--404--000000000000');
   AddDataLine('instr MOV           1    32   --0000000268A--405--000000000000');
   AddDataLine('instr MOV           1    33   --0000000268A--407--000000000000');
   AddDataLine('instr MOV           1    34   --00000002E8A--404--000000000000');
   AddDataLine('instr MOV           1    35   --00000002E8A--405--000000000000');
   AddDataLine('instr MOV           1    36   --00000002E8A--407--000000000000');
   AddDataLine('instr MOV           1    37   --0000000368A--404--000000000000');
   AddDataLine('instr MOV           1    38   --0000000368A--405--000000000000');
   AddDataLine('instr MOV           1    39   --0000000368A--407--000000000000');
   AddDataLine('instr MOV           1    40   --00000003E8A--404--000000000000');
   AddDataLine('instr MOV           1    41   --00000003E8A--405--000000000000');
   AddDataLine('instr MOV           1    42   --00000003E8A--407--000000000000');
   AddDataLine('instr MOV           1    43   --3000000648A--404--000000000000');
   AddDataLine('instr MOV           1    44   --3000000648A--405--000000000000');
   AddDataLine('instr MOV           1    45   --3000000648A--407--000000000000');
   AddDataLine('instr MOV           1    46   --3000000658A--404--000000000000');
   AddDataLine('instr MOV           1    47   --3000000658A--405--000000000000');
   AddDataLine('instr MOV           1    48   --3000000658A--407--000000000000');
   AddDataLine('instr MOV           2    31   --0110001268B--404--000000000000');
   AddDataLine('instr MOV           2    32   --0110001268B--405--000000000000');
   AddDataLine('instr MOV           2    33   --0110001268B--407--000000000000');
   AddDataLine('instr MOV           2    34   --01100012E8B--404--000000000000');
   AddDataLine('instr MOV           2    35   --01100012E8B--405--000000000000');
   AddDataLine('instr MOV           2    36   --01100012E8B--407--000000000000');
   AddDataLine('instr MOV           2    37   --0110001368B--404--000000000000');
   AddDataLine('instr MOV           2    38   --0110001368B--405--000000000000');
   AddDataLine('instr MOV           2    39   --0110001368B--407--000000000000');
   AddDataLine('instr MOV           2    40   --01100013E8B--404--000000000000');
   AddDataLine('instr MOV           2    41   --01100013E8B--405--000000000000');
   AddDataLine('instr MOV           2    42   --01100013E8B--407--000000000000');
   AddDataLine('instr MOV           2    43   --3110001648B--404--000000000000');
   AddDataLine('instr MOV           2    44   --3110001648B--405--000000000000');
   AddDataLine('instr MOV           2    45   --3110001648B--407--000000000000');
   AddDataLine('instr MOV           2    46   --3110001658B--404--000000000000');
   AddDataLine('instr MOV           2    47   --3110001658B--405--000000000000');
   AddDataLine('instr MOV           2    48   --3110001658B--407--000000000000');
   AddDataLine('instr MOV           3    31   --3220100268B--404--000000000000');
   AddDataLine('instr MOV           3    32   --3220100268B--405--000000000000');
   AddDataLine('instr MOV           3    33   --3220100268B--407--000000000000');
   AddDataLine('instr MOV           3    34   --32201002E8B--404--000000000000');
   AddDataLine('instr MOV           3    35   --32201002E8B--405--000000000000');
   AddDataLine('instr MOV           3    36   --32201002E8B--407--000000000000');
   AddDataLine('instr MOV           3    37   --3220100368B--404--000000000000');
   AddDataLine('instr MOV           3    38   --3220100368B--405--000000000000');
   AddDataLine('instr MOV           3    39   --3220100368B--407--000000000000');
   AddDataLine('instr MOV           3    40   --32201003E8B--404--000000000000');
   AddDataLine('instr MOV           3    41   --32201003E8B--405--000000000000');
   AddDataLine('instr MOV           3    42   --32201003E8B--407--000000000000');
   AddDataLine('instr MOV           3    43   --3220100648B--404--000000000000');
   AddDataLine('instr MOV           3    44   --3220100648B--405--000000000000');
   AddDataLine('instr MOV           3    45   --3220100648B--407--000000000000');
   AddDataLine('instr MOV           3    46   --3220100658B--404--000000000000');
   AddDataLine('instr MOV           3    47   --3220100658B--405--000000000000');
   AddDataLine('instr MOV           3    48   --3220100658B--407--000000000000');
   AddDataLine('');
   AddDataLine('instr MOV           3    140  --0000000--0F201----000000000000');
   AddDataLine('instr MOV           140  3    --0000000--0F221----000000000000');
   AddDataLine('');
   AddDataLine('instr MOVS          0    0    --0000000--A4--0----000000000000');
   AddDataLine('instr MOVSB         0    0    --0000000--A4--0----000000000000');
   AddDataLine('instr MOVSW         0    0    --0110001--A5--0----000000000000');
   AddDataLine('instr MOVSD         0    0    --3220100--A5--0----000000000000');
   AddDataLine('');
   AddDataLine('instr MUL           1    0    --0000000--F6--204--000000000000');
   AddDataLine('instr MUL           2    0    --0110001--F7--204--000000000000');
   AddDataLine('instr MUL           3    0    --3220100--F7--204--000000000000');
   AddDataLine('instr MUL           62   0    --0000000--F6--304--000100000000');
   AddDataLine('instr MUL           63   0    --0110001--F7--304--000100000000');
   AddDataLine('instr MUL           64   0    --3220100--F7--304--000100000000');
   AddDataLine('');
   AddDataLine('; N');
   AddDataLine('instr NEG           1    0    --0000000--F6--203--000000000000');
   AddDataLine('instr NEG           2    0    --0110001--F7--203--000000000000');
   AddDataLine('instr NEG           3    0    --3220100--F7--203--000000000000');
   AddDataLine('instr NEG           62   0    --0000000--F6--303--000100000000');
   AddDataLine('instr NEG           63   0    --0110001--F7--303--000100000000');
   AddDataLine('instr NEG           64   0    --3220100--F7--303--000100000000');
   AddDataLine('');
   AddDataLine('instr NOP           0    0    --0000000--90--0----000000000000');
   AddDataLine('');
   AddDataLine('instr NOT           1    0    --0000000--F6--202--000000000000');
   AddDataLine('instr NOT           2    0    --0110001--F7--202--000000000000');
   AddDataLine('instr NOT           3    0    --3220100--F7--202--000000000000');
   AddDataLine('instr NOT           62   0    --0000000--F6--302--000100000000');
   AddDataLine('instr NOT           63   0    --0110001--F7--302--000100000000');
   AddDataLine('instr NOT           64   0    --3220100--F7--302--000100000000');
   AddDataLine('');
   AddDataLine('; O');
   AddDataLine('@@@@@std_struct     OR, 08, 09, 0A, 0B, 80, 81, 83, 0C, 0D, 1');
   AddDataLine('');
   AddDataLine('instr OUT           65   8    --0000000--E6--0----000001000000');
   AddDataLine('instr OUT           65   9    --0110001--E7--0----000001000000');
   AddDataLine('instr OUT           65   10   --3220100--E7--0----000001000000');
   AddDataLine('instr OUT           12   8    --0000000--EE--0----000000000000');
   AddDataLine('instr OUT           12   9    --0110001--EF--0----000000000000');
   AddDataLine('instr OUT           12   10   --3220100--EF--0----000000000000');
   AddDataLine('');
   AddDataLine('instr OUTS          0    0    --0000000--6E--0----000000000000');
   AddDataLine('instr OUTSB         0    0    --0000000--6E--0----000000000000');
   AddDataLine('instr OUTSW         0    0    --0100001--6F--0----000000000000');
   AddDataLine('instr OUTSD         0    0    --3200100--6F--0----000000000000');
   AddDataLine('');
   AddDataLine('; P');
   AddDataLine('instr POP           2    0    --0100001--58--0----000000000100');
   AddDataLine('instr POP           3    0    --3200100--58--0----000000000100');
   AddDataLine('instr POP           63   0    --0100001--8F--300--000100000000');
   AddDataLine('instr POP           64   0    --3200100--8F--300--000100000000');
   AddDataLine('instr POP           28   0    --0000000--1F--0----000000000000');
   AddDataLine('instr POP           25   0    --0000000--07--0----000000000000');
   AddDataLine('instr POP           27   0    --0000000--17--0----000000000000');
   AddDataLine('instr POP           29   0    --2000000--0FA10----000000000000');
   AddDataLine('instr POP           30   0    --2000000--0FA90----000000000000');
   AddDataLine('');
   AddDataLine('instr POPA          0    0    --1000000--61--0----000000000000');
   AddDataLine('instr POPAW         0    0    --1000000--61--0----000000000000');
   AddDataLine('instr POPAD         0    0    --3000100--61--0----000000000000');
   AddDataLine('instr POPF          0    0    --1000000--9D--0----000000000000');
   AddDataLine('instr POPFW         0    0    --1000000--9D--0----000000000000');
   AddDataLine('instr POPFD         0    0    --3000100--9D--0----000000000000');
   AddDataLine('');
   AddDataLine('instr PUSH          2    0    --0100001--50--0----000000000100');
   AddDataLine('instr PUSH          3    0    --3200100--50--0----000000000100');
   AddDataLine('instr PUSH          63   0    --0100001--FF--306--000100000000');
   AddDataLine('instr PUSH          64   0    --3200100--FF--306--000100000000');
   AddDataLine('instr PUSH          26   0    --0000000--0E--0----000000000000');
   AddDataLine('instr PUSH          28   0    --0000000--1E--0----000000000000');
   AddDataLine('instr PUSH          25   0    --0000000--06--0----000000000000');
   AddDataLine('instr PUSH          27   0    --0000000--16--0----000000000000');
   AddDataLine('instr PUSH          29   0    --2000000--0FA00----000000000000');
   AddDataLine('instr PUSH          30   0    --2000000--0FA80----000000000000');
   AddDataLine('');
   AddDataLine('instr PUSHA         0    0    --1000000--60--0----000000000000');
   AddDataLine('instr PUSHAW        0    0    --1000000--60--0----000000000000');
   AddDataLine('instr PUSHAD        0    0    --3000100--60--0----000000000000');
   AddDataLine('instr PUSHF         0    0    --1000000--9C--0----000000000000');
   AddDataLine('instr PUSHFW        0    0    --1000000--9C--0----000000000000');
   AddDataLine('instr PUSHFD        0    0    --3000100--9C--0----000000000000');
   AddDataLine('');
   AddDataLine('; Q');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; R');
   AddDataLine('instr RDMSR         0    0    --2000000--0F320----000000000000');
   AddDataLine('');
   AddDataLine('instr REP           76   0    --0000000--F36C0----000000000000');
   AddDataLine('instr REP           77   0    --0000000--F36C0----000000000000');
   AddDataLine('instr REP           78   0    --0000001--F36D0----000000000000');
   AddDataLine('instr REP           79   0    --0000100--F36D0----000000000000');
   AddDataLine('instr REP           80   0    --0000000--F3A40----000000000000');
   AddDataLine('instr REP           81   0    --0000000--F3A40----000000000000');
   AddDataLine('instr REP           82   0    --0000001--F3A50----000000000000');
   AddDataLine('instr REP           83   0    --0000100--F3A50----000000000000');
   AddDataLine('instr REP           84   0    --0000000--F36E0----000000000000');
   AddDataLine('instr REP           85   0    --0000000--F36E0----000000000000');
   AddDataLine('instr REP           86   0    --0000001--F36F0----000000000000');
   AddDataLine('instr REP           87   0    --0000100--F36F0----000000000000');
   AddDataLine('instr REP           88   0    --0000000--F3AC0----000000000000');
   AddDataLine('instr REP           89   0    --0000000--F3AC0----000000000000');
   AddDataLine('instr REP           90   0    --0000001--F3AD0----000000000000');
   AddDataLine('instr REP           91   0    --0000100--F3AD0----000000000000');
   AddDataLine('instr REP           92   0    --0000000--F3AA0----000000000000');
   AddDataLine('instr REP           93   0    --0000000--F3AA0----000000000000');
   AddDataLine('instr REP           94   0    --0000001--F3AB0----000000000000');
   AddDataLine('instr REP           95   0    --0000100--F3AB0----000000000000');
   AddDataLine('instr REP           96   0    --0000000--F3A60----000000000000');
   AddDataLine('instr REP           97   0    --0000000--F3A60----000000000000');
   AddDataLine('instr REP           98   0    --0000001--F3A70----000000000000');
   AddDataLine('instr REP           99   0    --0000100--F3A70----000000000000');
   AddDataLine('instr REP           100  0    --0000000--F3AE0----000000000000');
   AddDataLine('instr REP           101  0    --0000000--F3AE0----000000000000');
   AddDataLine('instr REP           102  0    --0000001--F3AF0----000000000000');
   AddDataLine('instr REP           103  0    --0000100--F3AF0----000000000000');
   AddDataLine('');
   AddDataLine('instr REP.LODS      0    0    --0000000--F3AC0----000000000000');
   AddDataLine('instr REP.LODSB     0    0    --0000000--F3AC0----000000000000');
   AddDataLine('instr REP.LODSW     0    0    --0110001--F3AD0----000000000000');
   AddDataLine('instr REP.LODSD     0    0    --3220100--F3AD0----000000000000');
   AddDataLine('instr REP.MOVS      0    0    --0000000--F3A40----000000000000');
   AddDataLine('instr REP.MOVSB     0    0    --0000000--F3A40----000000000000');
   AddDataLine('instr REP.MOVSW     0    0    --0110001--F3A50----000000000000');
   AddDataLine('instr REP.MOVSD     0    0    --3220100--F3A50----000000000000');
   AddDataLine('instr REP.STOS      0    0    --0000000--F3AA0----000000000000');
   AddDataLine('instr REP.STOSB     0    0    --0000000--F3AA0----000000000000');
   AddDataLine('instr REP.STOSW     0    0    --0110001--F3AB0----000000000000');
   AddDataLine('instr REP.STOSD     0    0    --3220100--F3AB0----000000000000');
   AddDataLine('instr REP.INS       0    0    --0000000--F36C0----000000000000');
   AddDataLine('instr REP.INSB      0    0    --0000000--F36C0----000000000000');
   AddDataLine('instr REP.INSW      0    0    --0110001--F36D0----000000000000');
   AddDataLine('instr REP.INSD      0    0    --3220100--F36D0----000000000000');
   AddDataLine('instr REP.OUTS      0    0    --0000000--F36E0----000000000000');
   AddDataLine('instr REP.OUTSB     0    0    --0000000--F36E0----000000000000');
   AddDataLine('instr REP.OUTSW     0    0    --0110001--F36F0----000000000000');
   AddDataLine('instr REP.OUTSD     0    0    --3220100--F36F0----000000000000');
   AddDataLine('instr REP.LODS      0    0    --0000000--F2AC0----000000000000');
   AddDataLine('instr REP.LODSB     0    0    --0000000--F2AC0----000000000000');
   AddDataLine('instr REP.LODSW     0    0    --0110001--F2AD0----000000000000');
   AddDataLine('instr REP.LODSD     0    0    --3220100--F2AD0----000000000000');
   AddDataLine('instr RPE.CMPS      0    0    --0000000--F3A60----000000000000');
   AddDataLine('instr RPE.CMPSB     0    0    --0000000--F3A60----000000000000');
   AddDataLine('instr RPE.CMPSW     0    0    --0110001--F3A70----000000000000');
   AddDataLine('instr RPE.CMPSD     0    0    --3220100--F3A70----000000000000');
   AddDataLine('instr RPE.SCAS      0    0    --0000000--F3AE0----000000000000');
   AddDataLine('instr RPE.SCASB     0    0    --0000000--F3AE0----000000000000');
   AddDataLine('instr RPE.SCASW     0    0    --0110001--F3AF0----000000000000');
   AddDataLine('instr RPE.SCASD     0    0    --3220100--F3AF0----000000000000');
   AddDataLine('instr RNE.CMP       0    0    --0000000--F2A60----000000000000');
   AddDataLine('instr RNE.CMPB      0    0    --0000000--F2A60----000000000000');
   AddDataLine('instr RNE.CMPW      0    0    --0110001--F2A70----000000000000');
   AddDataLine('instr RNE.CMPD      0    0    --3220100--F2A70----000000000000');
   AddDataLine('instr RNE.SCAS      0    0    --0000000--F2AE0----000000000000');
   AddDataLine('instr RNE.SCASB     0    0    --0000000--F2AE0----000000000000');
   AddDataLine('instr RNE.SCASW     0    0    --0110001--F2AF0----000000000000');
   AddDataLine('instr RNE.SCASD     0    0    --3220100--F2AF0----000000000000');
   AddDataLine('');
   AddDataLine('instr RET           0    0    --0100001--C3--0----000000000000');
   AddDataLine('instr RETF          0    0    --3200100--C3--0----000000000000');
   AddDataLine('instr RETFAR        0    0    --0000001--CB--0----000000000000');
   AddDataLine('instr RETV          65   0    --0100001--C2--0----000001000000');
   AddDataLine('instr RETVF         65   0    --0100001--CA--0----000001000000');
   AddDataLine('');
   AddDataLine('instr RSM           0    0    --5000000--0FAA0----000000000000');
   AddDataLine('');
   AddDataLine('instr RCL           1    69   --0000000--D0--202--000000000000');
   AddDataLine('instr RCL           62   69   --0000000--D0--202--000100000000');
   AddDataLine('instr RCL           1    11   --0000000--D2--202--000000000000');
   AddDataLine('instr RCL           62   11   --0000000--D2--202--000100000000');
   AddDataLine('instr RCL           1    65   --0000000--C0--202--000000100000');
   AddDataLine('instr RCL           62   65   --0000000--C0--202--000100100000');
   AddDataLine('instr RCL           2    69   --0110001--D1--202--000000000000');
   AddDataLine('instr RCL           63   69   --0110011--D1--202--000100000000');
   AddDataLine('instr RCL           2    11   --0110001--D3--202--000000000000');
   AddDataLine('instr RCL           63   11   --0110011--D3--202--000100000000');
   AddDataLine('instr RCL           2    65   --0160001--C1--202--000000100000');
   AddDataLine('instr RCL           63   65   --0160011--C1--202--000100100000');
   AddDataLine('instr RCL           3    69   --3220100--D1--202--000000000000');
   AddDataLine('instr RCL           64   69   --3221100--D1--202--000100000000');
   AddDataLine('instr RCL           3    11   --3220100--D3--202--000000000000');
   AddDataLine('instr RCL           64   11   --3221100--D3--202--000100000000');
   AddDataLine('instr RCL           3    65   --3260100--C1--202--000000100000');
   AddDataLine('instr RCL           64   65   --3261100--C1--202--000100100000');
   AddDataLine('');
   AddDataLine('instr RCR           1    69   --0000000--D0--203--000000000000');
   AddDataLine('instr RCR           62   69   --0000000--D0--203--000100000000');
   AddDataLine('instr RCR           1    11   --0000000--D2--203--000000000000');
   AddDataLine('instr RCR           62   11   --0000000--D2--203--000100000000');
   AddDataLine('instr RCR           1    65   --0000000--C0--203--000000100000');
   AddDataLine('instr RCR           62   65   --0000000--C0--203--000100100000');
   AddDataLine('instr RCR           2    69   --0110001--D1--203--000000000000');
   AddDataLine('instr RCR           63   69   --0110011--D1--203--000100000000');
   AddDataLine('instr RCR           2    11   --0110001--D3--203--000000000000');
   AddDataLine('instr RCR           63   11   --0110011--D3--203--000100000000');
   AddDataLine('instr RCR           2    65   --0160001--C1--203--000000100000');
   AddDataLine('instr RCR           63   65   --0160011--C1--203--000100100000');
   AddDataLine('instr RCR           3    69   --3220100--D1--203--000000000000');
   AddDataLine('instr RCR           64   69   --3221100--D1--203--000100000000');
   AddDataLine('instr RCR           3    11   --3220100--D3--203--000000000000');
   AddDataLine('instr RCR           64   11   --3221100--D3--203--000100000000');
   AddDataLine('instr RCR           3    65   --3260100--C1--203--000000100000');
   AddDataLine('instr RCR           64   65   --3261100--C1--203--000100100000');
   AddDataLine('');
   AddDataLine('instr ROL           1    69   --0000000--D0--200--000000000000');
   AddDataLine('instr ROL           62   69   --0000000--D0--200--000100000000');
   AddDataLine('instr ROL           1    11   --0000000--D2--200--000000000000');
   AddDataLine('instr ROL           62   11   --0000000--D2--200--000100000000');
   AddDataLine('instr ROL           1    65   --0000000--C0--200--000000100000');
   AddDataLine('instr ROL           62   65   --0000000--C0--200--000100100000');
   AddDataLine('instr ROL           2    69   --0110001--D1--200--000000000000');
   AddDataLine('instr ROL           63   69   --0110011--D1--200--000100000000');
   AddDataLine('instr ROL           2    11   --0110001--D3--200--000000000000');
   AddDataLine('instr ROL           63   11   --0110011--D3--200--000100000000');
   AddDataLine('instr ROL           2    65   --0160001--C1--200--000000100000');
   AddDataLine('instr ROL           63   65   --0160011--C1--200--000100100000');
   AddDataLine('instr ROL           3    69   --3220100--D1--200--000000000000');
   AddDataLine('instr ROL           64   69   --3221100--D1--200--000100000000');
   AddDataLine('instr ROL           3    11   --3220100--D3--200--000000000000');
   AddDataLine('instr ROL           64   11   --3221100--D3--200--000100000000');
   AddDataLine('instr ROL           3    65   --3260100--C1--200--000000100000');
   AddDataLine('instr ROL           64   65   --3261100--C1--200--000100100000');
   AddDataLine('');
   AddDataLine('instr ROR           1    69   --0000000--D0--201--000000000000');
   AddDataLine('instr ROR           62   69   --0000000--D0--201--000100000000');
   AddDataLine('instr ROR           1    11   --0000000--D2--201--000000000000');
   AddDataLine('instr ROR           62   11   --0000000--D2--201--000100000000');
   AddDataLine('instr ROR           1    65   --0000000--C0--201--000000100000');
   AddDataLine('instr ROR           62   65   --0000000--C0--201--000100100000');
   AddDataLine('instr ROR           2    69   --0110001--D1--201--000000000000');
   AddDataLine('instr ROR           63   69   --0110011--D1--201--000100000000');
   AddDataLine('instr ROR           2    11   --0110001--D3--201--000000000000');
   AddDataLine('instr ROR           63   11   --0110011--D3--201--000100000000');
   AddDataLine('instr ROR           2    65   --0160001--C1--201--000000100000');
   AddDataLine('instr ROR           63   65   --0160011--C1--201--000100100000');
   AddDataLine('instr ROR           3    69   --3220100--D1--201--000000000000');
   AddDataLine('instr ROR           64   69   --3221100--D1--201--000100000000');
   AddDataLine('instr ROR           3    11   --3220100--D3--201--000000000000');
   AddDataLine('instr ROR           64   11   --3221100--D3--201--000100000000');
   AddDataLine('instr ROR           3    65   --3260100--C1--201--000000100000');
   AddDataLine('instr ROR           64   65   --3261100--C1--201--000100100000');
   AddDataLine('');
   AddDataLine('; S');
   AddDataLine('instr SAHF          0    0    --0000000--9E--0----000000000000');
   AddDataLine('');
   AddDataLine('instr SCAS          0    0    --0000000--AE--0----000000000000');
   AddDataLine('instr SCASB         0    0    --0000000--AE--0----000000000000');
   AddDataLine('instr SCASW         0    0    --0110001--AF--0----000000000000');
   AddDataLine('instr SCASD         0    0    --3220100--AF--0----000000000000');
   AddDataLine('');
   AddDataLine('instr SGDT          63   0    --2100011--0F01300--000100000000');
   AddDataLine('instr SGDT          64   0    --3201100--0F01300--000100000000');
   AddDataLine('');
   AddDataLine('instr SIDT          63   0    --2100011--0F01301--000100000000');
   AddDataLine('instr SIDT          64   0    --3201100--0F01301--000100000000');
   AddDataLine('');
   AddDataLine('instr STC           0    0    --0000000--F9--0----000000000000');
   AddDataLine('instr STD           0    0    --0000000--FD--0----000000000000');
   AddDataLine('instr STI           0    0    --0000000--FB--0----000000000000');
   AddDataLine('');
   AddDataLine('instr STOS          0    0    --0000000--AA--0----000000000000');
   AddDataLine('instr STOSB         0    0    --0000000--AA--0----000000000000');
   AddDataLine('instr STOSW         0    0    --0110001--AB--0----000000000000');
   AddDataLine('instr STOSD         0    0    --3220100--AB--0----000000000000');
   AddDataLine('');
   AddDataLine('instr SAL           1    69   --0000000--D0--204--000000000000');
   AddDataLine('instr SAL           62   69   --0000000--D0--204--000100000000');
   AddDataLine('instr SAL           1    11   --0000000--D2--204--000000000000');
   AddDataLine('instr SAL           62   11   --0000000--D2--204--000100000000');
   AddDataLine('instr SAL           1    65   --0000000--C0--204--000000100000');
   AddDataLine('instr SAL           62   65   --0000000--C0--204--000100100000');
   AddDataLine('instr SAL           2    69   --0110001--D1--204--000000000000');
   AddDataLine('instr SAL           63   69   --0110011--D1--204--000100000000');
   AddDataLine('instr SAL           2    11   --0110001--D3--204--000000000000');
   AddDataLine('instr SAL           63   11   --0110011--D3--204--000100000000');
   AddDataLine('instr SAL           2    65   --0160001--C1--204--000000100000');
   AddDataLine('instr SAL           63   65   --0160011--C1--204--000100100000');
   AddDataLine('instr SAL           3    69   --3220100--D1--204--000000000000');
   AddDataLine('instr SAL           64   69   --3221100--D1--204--000100000000');
   AddDataLine('instr SAL           3    11   --3220100--D3--204--000000000000');
   AddDataLine('instr SAL           64   11   --3221100--D3--204--000100000000');
   AddDataLine('instr SAL           3    65   --3260100--C1--204--000000100000');
   AddDataLine('instr SAL           64   65   --3261100--C1--204--000100100000');
   AddDataLine('');
   AddDataLine('instr SAR           1    69   --0000000--D0--207--000000000000');
   AddDataLine('instr SAR           62   69   --0000000--D0--207--000100000000');
   AddDataLine('instr SAR           1    11   --0000000--D2--207--000000000000');
   AddDataLine('instr SAR           62   11   --0000000--D2--207--000100000000');
   AddDataLine('instr SAR           1    65   --0000000--C0--207--000000100000');
   AddDataLine('instr SAR           62   65   --0000000--C0--207--000100100000');
   AddDataLine('instr SAR           2    69   --0110001--D1--207--000000000000');
   AddDataLine('instr SAR           63   69   --0110011--D1--207--000100000000');
   AddDataLine('instr SAR           2    11   --0110001--D3--207--000000000000');
   AddDataLine('instr SAR           63   11   --0110011--D3--207--000100000000');
   AddDataLine('instr SAR           2    65   --0160001--C1--207--000000100000');
   AddDataLine('instr SAR           63   65   --0160011--C1--207--000100100000');
   AddDataLine('instr SAR           3    69   --3220100--D1--207--000000000000');
   AddDataLine('instr SAR           64   69   --3221100--D1--207--000100000000');
   AddDataLine('instr SAR           3    11   --3220100--D3--207--000000000000');
   AddDataLine('instr SAR           64   11   --3221100--D3--207--000100000000');
   AddDataLine('instr SAR           3    65   --3260100--C1--207--000000100000');
   AddDataLine('instr SAR           64   65   --3261100--C1--207--000100100000');
   AddDataLine('');
   AddDataLine('instr SHL           1    69   --0000000--D0--204--000000000000');
   AddDataLine('instr SHL           62   69   --0000000--D0--204--000100000000');
   AddDataLine('instr SHL           1    11   --0000000--D2--204--000000000000');
   AddDataLine('instr SHL           62   11   --0000000--D2--204--000100000000');
   AddDataLine('instr SHL           1    65   --0000000--C0--204--000000100000');
   AddDataLine('instr SHL           62   65   --0000000--C0--204--000100100000');
   AddDataLine('instr SHL           2    69   --0110001--D1--204--000000000000');
   AddDataLine('instr SHL           63   69   --0110011--D1--204--000100000000');
   AddDataLine('instr SHL           2    11   --0110001--D3--204--000000000000');
   AddDataLine('instr SHL           63   11   --0110011--D3--204--000100000000');
   AddDataLine('instr SHL           2    65   --0160001--C1--204--000000100000');
   AddDataLine('instr SHL           63   65   --0160011--C1--204--000100100000');
   AddDataLine('instr SHL           3    69   --3220100--D1--204--000000000000');
   AddDataLine('instr SHL           64   69   --3221100--D1--204--000100000000');
   AddDataLine('instr SHL           3    11   --3220100--D3--204--000000000000');
   AddDataLine('instr SHL           64   11   --3221100--D3--204--000100000000');
   AddDataLine('instr SHL           3    65   --3260100--C1--204--000000100000');
   AddDataLine('instr SHL           64   65   --3261100--C1--204--000100100000');
   AddDataLine('');
   AddDataLine('instr SHR           1    69   --0000000--D0--205--000000000000');
   AddDataLine('instr SHR           62   69   --0000000--D0--205--000100000000');
   AddDataLine('instr SHR           1    11   --0000000--D2--205--000000000000');
   AddDataLine('instr SHR           62   11   --0000000--D2--205--000100000000');
   AddDataLine('instr SHR           1    65   --0000000--C0--205--000000100000');
   AddDataLine('instr SHR           62   65   --0000000--C0--205--000100100000');
   AddDataLine('instr SHR           2    69   --0110001--D1--205--000000000000');
   AddDataLine('instr SHR           63   69   --0110011--D1--205--000100000000');
   AddDataLine('instr SHR           2    11   --0110001--D3--205--000000000000');
   AddDataLine('instr SHR           63   11   --0110011--D3--205--000100000000');
   AddDataLine('instr SHR           2    65   --0160001--C1--205--000000100000');
   AddDataLine('instr SHR           63   65   --0160011--C1--205--000100100000');
   AddDataLine('instr SHR           3    69   --3220100--D1--205--000000000000');
   AddDataLine('instr SHR           64   69   --3221100--D1--205--000100000000');
   AddDataLine('instr SHR           3    11   --3220100--D3--205--000000000000');
   AddDataLine('instr SHR           64   11   --3221100--D3--205--000100000000');
   AddDataLine('instr SHR           3    65   --3260100--C1--205--000000100000');
   AddDataLine('instr SHR           64   65   --3261100--C1--205--000100100000');
   AddDataLine('');
   AddDataLine('@@@@@std_struct     SBB, 18, 19, 1A, 1B, 80, 81, 83, 1C, 1D, 3');
   AddDataLine('@@@@@std_struct     SUB, 28, 29, 2A, 2B, 80, 81, 83, 2C, 2D, 5');
   AddDataLine('');
   AddDataLine('; T');
   AddDataLine('@@@@@par_ax_val     TEST, A8, A9');
   AddDataLine('instr TEST          1    1    --0000000--84--1----000000000000');
   AddDataLine('instr TEST          2    2    --0110001--85--1----000000000000');
   AddDataLine('instr TEST          3    3    --3220100--85--1----000000000000');
   AddDataLine('@@@@@par_mem_reg    TEST, 84, 85');
   AddDataLine('@@@@@par_reg_val    TEST, F6, F7, 0');
   AddDataLine('@@@@@par_mem_val    TEST, F6, F7, 0');
   AddDataLine('');
   AddDataLine('; U');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; V');
   AddDataLine('');
   AddDataLine('');
   AddDataLine('; W');
   AddDataLine('instr WAIT          0    0    --0000000--9B--0----000000000000');
   AddDataLine('instr WBINVD        0    0    --4000000--0F090----000000000000');
   AddDataLine('instr WRMSR         0    0    --4000000--0F300----000000000000');
   AddDataLine('');
   AddDataLine('; X');
   AddDataLine('instr XADD          1    1    --0000000--0FC01----000000000000');
   AddDataLine('instr XADD          61   1    --0000000--0FC01----000100000000');
   AddDataLine('instr XADD          158  1    --0000000--0FC01----000100000000');
   AddDataLine('instr XADD          2    2    --0110001--0FC11----000000000000');
   AddDataLine('instr XADD          61   2    --0110011--0FC11----000100000000');
   AddDataLine('instr XADD          158  2    --0110011--0FC11----000100000000');
   AddDataLine('instr XADD          3    3    --3220100--0FC11----000000000000');
   AddDataLine('instr XADD          61   3    --3221100--0FC11----000100000000');
   AddDataLine('instr XADD          158  3    --3221100--0FC11----000100000000');
   AddDataLine('');
   AddDataLine('instr XCHG          1    1    --0000000--86--1----000000000000');
   AddDataLine('instr XCHG          2    2    --0110001--87--1----000000000000');
   AddDataLine('instr XCHG          3    3    --3220100--87--1----000000000000');
   AddDataLine('instr XCHG          61   1    --0000000--86--1----000100000000');
   AddDataLine('instr XCHG          61   2    --0110011--87--1----000100000000');
   AddDataLine('instr XCHG          61   3    --3221100--87--1----000100000000');
   AddDataLine('instr XCHG          1    61   --0000000--86--1----000010000000');
   AddDataLine('instr XCHG          2    61   --0110011--87--1----000010000000');
   AddDataLine('instr XCHG          3    61   --3221100--87--1----000010000000');
   AddDataLine('instr XCHG          158  1    --0000000--86--1----000100000000');
   AddDataLine('instr XCHG          158  2    --0110011--87--1----000100000000');
   AddDataLine('instr XCHG          158  3    --3221100--87--1----000100000000');
   AddDataLine('instr XCHG          1    158  --0000000--86--1----000010000000');
   AddDataLine('instr XCHG          2    158  --0110011--87--1----000010000000');
   AddDataLine('instr XCHG          3    158  --3221100--87--1----000010000000');
   AddDataLine('');
   AddDataLine('instr XLAT          0    0    --0000000--D7--0----000000000000');
   AddDataLine('instr XLATB         0    0    --0000000--D7--0----000000000000');
   AddDataLine('');
   AddDataLine('@@@@@std_struct     XOR, 30, 31, 32, 33, 80, 81, 83, 34, 35, 6');
   AddDataLine('');
   AddDataLine(';------------------------------------------------------------------------------');
   Source[srcID].NumLines:= 1326;
end;

procedure GetEndData(srcID: TDefValue);
begin
   AddDataLine('; BLASM');
   AddDataLine('; End Data Source');
   AddDataLine(';------------------------------------------------------------------------------');
   AddDataLine('; (C) 2005-2012, Andreas Berg. All Rights Reserved.');
   AddDataLine(';------------------------------------------------------------------------------');
   Source[srcID].NumLines:= 5;
end;

begin

end.