{ BDS2PAS (BLASM Data Source to Pascal Converter) 
 (C) 2007-2012, Andreas Berg. All Rights Reserved. }
program bds2pas;

uses
 Crt, SysUtils, _diskio;

const
 CurVer             = '0.01';
 oFile              = '_mainsrc.pas';

var
 iFile, eFile       : string;
 owrit              : boolean;
 ch                 : char;
 iFi, eFi, oFi      : text;
 cnt                : int64;

 i                  : integer;
 err, f             : boolean;
 s                  : string;


begin
   writeln('Bds2Pas ' + CurVer + ' / (C) 2007-2012, Andreas Berg. All Rights Reserved.');
   if paramcount < 1 then begin
      writeln('usage:  bds2pas  [ids]  [eds]');
      Writeln;
      Writeln('[ids] = filename: inital data source');
      Writeln('[eds] = filename: end data source');
      Writeln;
      Writeln('Output file: ' + oFile);
      Writeln;
   end else begin
      writeln;

      err:= false;
      iFile:= '';
      eFile:= '';

      for i:= 1 to ParamCount do begin
         s:= ParamStr(i);
         if s[1] = '-' then begin
            f:= false;
            {if UpperCase(s) = '-D' then begin
               dmpScr:= true;
               f:= true;
            end;}

            if not f then begin
               Writeln('ERROR: Invalid option [' + s + ']!');
               err:= true;
            end;
         end else begin
            if iFile = '' then
             iFile:= ParamStr(i)
            else begin
               if eFile = '' then
                eFile:= ParamStr(i)
               else begin
                  Writeln('ERROR: Initial and End data sources already set!');
                  err:= true;
               end;
            end;
         end;
      end;

      if not err then begin

         if (UpperCase(iFile) = UpperCase(oFile)) or
           (UpperCase(eFile) = UpperCase(oFile)) then begin
            writeln('ERROR: [' + oFile + '] cannot be used as data source!');
         end else begin

            owrit:= true;
            if FileExists(oFile) then begin
               owrit:= false;
               write('['+oFile+'] already exists! Overwrite? [Y/n]: ');
               repeat
               until KeyPressed;
               ch:= ReadKey;
               if UpCase(ch) = 'Y' then owrit:= true;
               write(ch);
               writeln;
               writeln;
            end;

            if ((iFile <> '') and (not FileExists(iFile))) then begin
               Writeln('ERROR: File not found [' + iFile + ']!');
               err:= true;
            end;
            if ((eFile <> '') and (not FileExists(eFile))) then begin
               Writeln('ERROR: File not found [' + eFile + ']!');
               err:= true;
            end;

            if (owrit) and (not err) then begin

               assign(oFi, oFile);
               rewrite(oFi);

                  writeln('--- Writing unit header');
                  writeln(oFi, '{ BLASM Data Source [' + oFile + '] }');
                  writeln(oFi, 'unit ' + RemoveExt(oFile) + ';');

                  writeln(oFi, '');
                  writeln(oFi, 'interface');
                  writeln(oFi, '');
                  writeln(oFi, 'uses');
                  writeln(oFi, ' _common;');
                  writeln(oFi, '');

                  writeln(oFi, 'procedure AddDataLine(s: string);');
                  writeln(oFi, 'procedure GetInitialData(srcID: TDefValue);');
                  writeln(oFi, 'procedure GetEndData(srcID: TDefValue);');

                  writeln(oFi, '');
                  writeln(oFi, 'implementation');
                  writeln(oFi, '');
                  writeln(oFi, 'uses');
                  writeln(oFi, ' _source;');
                  writeln(oFi, '');

                  writeln('--- Writing unit procedures');
                  writeln(oFi, 'procedure AddDataLine(s: string);');
                  writeln(oFi, 'begin');
                  writeln(oFi, '   SetLength(SourceLines, NumSourceLines + 1);');
                  writeln(oFi, '   SourceLines[NumSourceLines]:= s;');
                  writeln(oFi, '   Inc(NumSourceLines);');
                  writeln(oFi, 'end;');

                  writeln(oFi, '');

                  writeln(oFi, 'procedure GetInitialData(srcID: TDefValue);');
                  writeln(oFi, 'begin');
                  cnt:= 0;
                  if (iFile <> '') then begin
                     writeln('------ Importing: ' + iFile);
                     assign(iFi, iFile);
                     reset(iFi);
                        while not eof(iFi) do begin
                           readln(iFi, s);
                           writeln(oFi, '   AddDataLine(' +#39+ s +#39+ ');');
                           Inc(cnt);
                        end;
                     close(iFi);
                  end;
                  writeln(oFi, '   Source[srcID].NumLines:= ' + IntToStr(cnt)+ ';');
                  writeln(oFi, 'end;');
                  writeln(oFi, '');
                  writeln(oFi, 'procedure GetEndData(srcID: TDefValue);');
                  writeln(oFi, 'begin');
                  cnt:= 0;
                  if (eFile <> '') then begin
                     writeln('------ Importing: ' + eFile);
                     assign(eFi, eFile);
                     reset(eFi);
                        while not eof(eFi) do begin
                           readln(eFi, s);
                           writeln(oFi, '   AddDataLine(' +#39+ s +#39+ ');');
                           Inc(cnt);
                        end;
                     close(eFi);
                  end;
                  writeln(oFi, '   Source[srcID].NumLines:= ' + IntToStr(cnt)+ ';');
                  writeln(oFi, 'end;');

                  writeln('--- Writing unit program');
                  writeln(oFi, '');
                  writeln(oFi, 'begin');
                  writeln(oFi, '');
                  write(oFi, 'end.');

               close(oFi);

               writeln;
               writeln('*** DONE ***');
               writeln;
            end;

         end;

      end;

   end;
end.
